GNU bug report logs - #51894
27.2; GDB Gud support on Cygwin has trouble accessing shared files on Windows network drives.

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Guy Offer <guyof@HIDDEN>; Keywords: moreinfo; dated Tue, 16 Nov 2021 14:28:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 51894 <at> debbugs.gnu.org:


Received: (at 51894) by debbugs.gnu.org; 18 Nov 2021 14:58:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 18 09:58:58 2021
Received: from localhost ([127.0.0.1]:36882 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mnisM-00031Q-IM
	for submit <at> debbugs.gnu.org; Thu, 18 Nov 2021 09:58:58 -0500
Received: from eggs.gnu.org ([209.51.188.92]:52280)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mnisJ-00030z-GU
 for 51894 <at> debbugs.gnu.org; Thu, 18 Nov 2021 09:58:56 -0500
Received: from [2001:470:142:3::e] (port=52026 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mnisC-0008HC-Gs; Thu, 18 Nov 2021 09:58:48 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=5wTA7jF6hqTL7ji/9cLVI8UTk4apMtcKU89Nrm6yf0o=; b=OPGqvAucBEvy
 yh7jnFqWHJvJvwSMSRN8kfaKFIuoVnMIruGJOUjoKp1Knsg5f+e1LHIxHmhDmjrj8elsOlzDQTSd9
 GQ4OxyjCah0GqsLfqXeviX+DKrE16e7dnjZ6IVkm6iZ9H2BRsLhgp6VT9C46HPL4gxvb2G1oT45HT
 eceXEVHW8AURqdpiQD1wSdSADGwlP4kUfNZS8y2iVKAwhQg89nmC7SH2VLFthy/kC7YpyEj+Orcwc
 RMcSmg9dslCjSgy6Iru39FxTD9NKQcqIGJOn5aYjIy8/KtMWOv8IRamLFIt0x0FUej/aFXhx2DiTz
 9mW3eSna5psBsXYpP01kVg==;
Received: from [87.69.77.57] (port=4872 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mnisC-0005LE-4x; Thu, 18 Nov 2021 09:58:48 -0500
Date: Thu, 18 Nov 2021 16:58:45 +0200
Message-Id: <835yspy0gq.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Ken Brown <kbrown@HIDDEN>
In-Reply-To: <5f7db8fc-10a2-d0fb-713c-3e275aa18aa1@HIDDEN> (message from
 Ken Brown on Thu, 18 Nov 2021 09:17:58 -0500)
Subject: Re: bug#51894: 27.2; GDB Gud support on Cygwin has trouble accessing
 shared files on Windows network drives.
References: <522fd31d7bfc4c6b93d1eee254fa1218@HIDDEN>
 <83fsrw166y.fsf@HIDDEN> <1110db48db9540d8a33bdf9117fa24ae@HIDDEN>
 <83fsruzwki.fsf@HIDDEN> <a2b32a26f4084b56988c1d9b597476e9@HIDDEN>
 <83bl2izpcv.fsf@HIDDEN> <9fac329f-43d2-a27e-3fd5-f6522993a30f@HIDDEN>
 <7bed7b9225494404b83915071b37ea6e@HIDDEN>
 <5f7db8fc-10a2-d0fb-713c-3e275aa18aa1@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51894
Cc: guyof@HIDDEN, 51894 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Thu, 18 Nov 2021 09:17:58 -0500
> Cc: "51894 <at> debbugs.gnu.org" <51894 <at> debbugs.gnu.org>
> From: Ken Brown <kbrown@HIDDEN>
> 
> I don't have time to try to replicate this setup, nor do I have a Linux machine 
> on my network.  But I did map a network drive and verify that there was no 
> problem accessing it via the cygdrive prefix (e.g., 'ls /cygdrive/x' succeeds 
> after X: is mapped to a folder that I can access on a networked Windows 
> machine).  This answers a question that Eli asked earlier.

Thanks.  So some other factor must be at work here.  I think the
solution of the riddle is somewhere in what GDB/MI returns to Emacs in
response to its requests, which is why I asked for gdb-debug-log
contents.





Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51894; Package emacs. Full text available.

Message received at 51894 <at> debbugs.gnu.org:


Received: (at 51894) by debbugs.gnu.org; 18 Nov 2021 14:18:12 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 18 09:18:12 2021
Received: from localhost ([127.0.0.1]:35308 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mniEu-00019K-32
	for submit <at> debbugs.gnu.org; Thu, 18 Nov 2021 09:18:12 -0500
Received: from mail-dm6nam11on2098.outbound.protection.outlook.com
 ([40.107.223.98]:13549 helo=NAM11-DM6-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kbrown@HIDDEN>) id 1mniEn-00018h-MC
 for 51894 <at> debbugs.gnu.org; Thu, 18 Nov 2021 09:18:11 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=Qyykf3kjwwORqzGE1xAc53Tz4XDubpf7TL48rc0xDrDHUUc3qHN1GljA3M0SVJhcGXcCC8s5a9vDOPAJeNWwz2Ze7YPEKdR63FaHxNs/glCVWpo5tTGMxmf6HAvwq22sbgHZQ30lL4bxyyrRQzJFlXv36hbF5TntQ+m16iRmyRWY5hTZPZqiBE34R54YTbitde+qak73M/RJDpEN08G2AkAQUTkMRNuDVNUGwGVXlA25VkW9MYvOPQuonXaLFcw5j4+GFP9LykXKrI9e+HFymHMoRoub33t7AWhrrXYgB48bPSgy1PBLATC7gMBQBkdojF9iYIsSSsJcEIgNxlhkMw==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=ZoE0Ey7qIK6wSQZFZz/kMjVisrQmnfF6flJTyp5UgL0=;
 b=gnkZ/pAaQf+lOl1Vu1oq/XID8VjOihCQv4oD0Vf5Kms2yM4IEiehtJMHqJnZT6i9m3+NhKfwKjVa9VjJN/1rzHZUmqAwgrJnPiJMzVWGdGE9DetJct9FY09+f89TX0vpFQeXYdSU7OdRDA6THwmujKwvhEMjsD+m8AIe1xZzeeCGpnGUAfRGv4DrVhmLXpLn59+cICYJJXIbfoOZZA5w6InYUsM45XcYSjba9f8JcArJHMPZa5pKphrN2h3WHi2ap8c7Pl8akFdK37f523ArZQC87fYQHZmQuJ1hh3b9dBAkYPqB+WadjS6Z6eTHbFCm1dsVMMMrkzli4m1tszFtog==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=cornell.edu; dmarc=pass action=none header.from=cornell.edu;
 dkim=pass header.d=cornell.edu; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=cornell.edu;
 s=selector2;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=ZoE0Ey7qIK6wSQZFZz/kMjVisrQmnfF6flJTyp5UgL0=;
 b=jfkvddrOOVCbcm0wLoqfdf+dMPfKPg8dwCwljNPi/nSQknqfPAaIwa1qr2RI/zkxiUZjS4l93Ws4BTNRUyn2oPH9GGwExNkQwBKafSk5UyOyTofACR/fgpKf6lXtSqmxPA07cXdTqk4kS13OJfNYZ+Cxba6py0zCsyhpx3nLmqk=
Authentication-Results: dkim=none (message not signed)
 header.d=none;dmarc=none action=none header.from=cornell.edu;
Received: from BN7PR04MB4388.namprd04.prod.outlook.com (2603:10b6:406:f8::19)
 by BN8PR04MB6065.namprd04.prod.outlook.com (2603:10b6:408:55::19)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4713.19; Thu, 18 Nov
 2021 14:17:59 +0000
Received: from BN7PR04MB4388.namprd04.prod.outlook.com
 ([fe80::88c4:79c5:1eb1:b969]) by BN7PR04MB4388.namprd04.prod.outlook.com
 ([fe80::88c4:79c5:1eb1:b969%7]) with mapi id 15.20.4690.027; Thu, 18 Nov 2021
 14:17:59 +0000
Message-ID: <5f7db8fc-10a2-d0fb-713c-3e275aa18aa1@HIDDEN>
Date: Thu, 18 Nov 2021 09:17:58 -0500
User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:91.0) Gecko/20100101
 Thunderbird/91.3.1
Subject: Re: bug#51894: 27.2; GDB Gud support on Cygwin has trouble accessing
 shared files on Windows network drives.
Content-Language: en-US
To: Guy Offer <guyof@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
References: <522fd31d7bfc4c6b93d1eee254fa1218@HIDDEN>
 <83fsrw166y.fsf@HIDDEN> <1110db48db9540d8a33bdf9117fa24ae@HIDDEN>
 <83fsruzwki.fsf@HIDDEN> <a2b32a26f4084b56988c1d9b597476e9@HIDDEN>
 <83bl2izpcv.fsf@HIDDEN> <9fac329f-43d2-a27e-3fd5-f6522993a30f@HIDDEN>
 <7bed7b9225494404b83915071b37ea6e@HIDDEN>
From: Ken Brown <kbrown@HIDDEN>
In-Reply-To: <7bed7b9225494404b83915071b37ea6e@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-ClientProxiedBy: CH2PR14CA0028.namprd14.prod.outlook.com
 (2603:10b6:610:60::38) To BN7PR04MB4388.namprd04.prod.outlook.com
 (2603:10b6:406:f8::19)
MIME-Version: 1.0
Received: from [192.168.1.211] (74.69.128.111) by
 CH2PR14CA0028.namprd14.prod.outlook.com (2603:10b6:610:60::38) with Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.4713.21 via Frontend Transport; Thu, 18 Nov 2021 14:17:58 +0000
X-MS-PublicTrafficType: Email
X-MS-Office365-Filtering-Correlation-Id: 217b8dac-a142-4675-577a-08d9aa9e391e
X-MS-TrafficTypeDiagnostic: BN8PR04MB6065:
X-Microsoft-Antispam-PRVS: <BN8PR04MB6065564A1473DFC0D089223DD89B9@HIDDEN>
X-MS-Oob-TLC-OOBClassifiers: OLM:3826;
X-MS-Exchange-SenderADCheck: 1
X-MS-Exchange-AntiSpam-Relay: 0
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: sayuMe116h8XqaSh6iKr3s+cb+kjwNebFnWrkvaUL1S2gtaTNsNhfGigDoaEzNCWPJbOQDDRCrHQTHVYaDaeSpL48i6iBU1tUWj8pnQorZ+CK9LJJonyZ7S0zIkkqKWN5s8b5r35mVlAdR6TjP4fvR0wjl3XxUxBOtVLZpBeAzCCw495LlWXMNQu1e4NQfAynGtozfCThV2p6I6QZ/UMvg2zUznK/IJSMEsHg19bPpjUckirqa7jMwm/XwHdRMTs8zceP5t8j3BALFpU5LoO78SJuzU3bFW43Ohy3WkjE2a4Wzs7EF0JJQxHBirNi5A9DgPifVHJE+WUWyHdr8iXjY7xQoDnZpiDzCL9Qnz+xyFNeHhHOAlsBsuocZRqosEMkZc2eJBnb6ASj5EA/72XbT0DhhTQ6R2VwcsZEoqY+nwYOPe1o6+lRljAR615oLGIieLg+iRECgfu+x8m3XWBsHMhFZwOeaObBOdltdbCewwE1LKqViTCtdErCMIqHpuJN1WTh9wHdk5tUF4Jtc8iQOyAZJ8y55NmYXERTpIVzdXA3aJRLh1rbaAxPgSgJPAs4A5h9UUwf07y81crrrGitdSSgKtWvABvKp7nMmBNmnZriQfsRzHBLf+ig8gzGdHpZzoRoNltXXtcFSecNPCkiDFSEko1hUfajAisMrcBBfCb/rkFUzOntoxA3RwfHN30BNd2w8nmLBwtu7kYw8PwfOR2Tz4BlUEqfaQeBkDOMUw=
X-Forefront-Antispam-Report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:BN7PR04MB4388.namprd04.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(4636009)(366004)(66556008)(186003)(66946007)(36756003)(2616005)(2906002)(8676002)(66476007)(8936002)(16576012)(110136005)(508600001)(6486002)(316002)(956004)(786003)(75432002)(53546011)(4326008)(83380400001)(4744005)(31696002)(31686004)(38100700002)(5660300002)(86362001)(26005)(45980500001)(43740500002);
 DIR:OUT; SFP:1102; 
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?utf-8?B?RmE3cU5Fc0VLQWJKNzZaNG9WVkhjL1IwTTA3RFYzcVd5ZmQ0ZXBHM2twbk5X?=
 =?utf-8?B?VDI5ODVTQm55cDJlUG9mU0xya3BLMFVLQlQycy9zT3FZVXdjVjhsanhieXpv?=
 =?utf-8?B?UlB2OU5xTlZlMEhZMTFHUllSVmFoSEc2ZFI5SWM0M2V2Rk1NT29Sdk1uYlc0?=
 =?utf-8?B?NXpZYlF5cnhFYk9YNkNmZURwOTZaVGJNc2tNQ2F0dDBJdzNTVG8yb0h0d29R?=
 =?utf-8?B?US9oaVpXWlcxeG9TbmNhWTVxYy9TaWZRVFNZWW5GT3J2RXlyRmQrVS9ZUjgx?=
 =?utf-8?B?TGpJb0NhMGNFaGt0cDNsNU9tMzlOYWQ3Rnk3V1FzcXhKNitHcWYzbyt1U1E2?=
 =?utf-8?B?SklRNmZ4SXNYWDVuYXFVMUNFMWFZeVFXQ3NHaENSTWZRUmF3bm0wdGdsOEJE?=
 =?utf-8?B?ajlxODc0dmtzNlgyZ2dLMWRFUjA0SWRDaWtjdm5ONXNGUHlWQVhsbzNGU3Jp?=
 =?utf-8?B?d3RGNkJYWkg3cVJPUExZbitLWTFXL1JpUzdkcThDamFYaWJVVzdaTEorS2kz?=
 =?utf-8?B?U05YYmlRN2tyUDNrMEVFcnR1SE5vS25VdVZrNXduMzB1WXJ3dXlyZzFJQkNj?=
 =?utf-8?B?MUlDZlVwUFpObjArZW52dUhET3JRVUNFVnJzSHVjTzYzckF4R2RDNUxneFVy?=
 =?utf-8?B?Q1JkM0FYTzBxUEJvQXpEK3VsNkZTcnRaN00vZ3N1d2Y2RkdQNlorRmxBU1hq?=
 =?utf-8?B?NW1VV3JPMjV3V2NKZlNMb2RVYXRlK0FiRXc4SXhUeHBVTU1EcGZFVFhJUzZk?=
 =?utf-8?B?YWs3UEdHVGJaVFh0bm9hYkZMUkFUU3QyUTlHUTRnd1FYbFRlUlpPNkx0ZXF6?=
 =?utf-8?B?SGxnZ2QwaE51a09Ldk1kdzNBS0lVc0ljVTMyblVEQTQxZXZ4OWhMdnd2MmtI?=
 =?utf-8?B?N3BGMERTeW45YTNuSng4c2x3RDlBOEFWNnRkVmEwR0dvRDBUcEJSNEtKeE1z?=
 =?utf-8?B?c3R5Q1dralI3aG1qa01EZHlZR2pSZlAxTFpBZTJXRlNNeXQ1bldTVDQwRy9G?=
 =?utf-8?B?NHdVaml4U0lpZ2dha0kwN0ZoTDcvMnpwZWxweVFvd0JvTnYyY2dBT1VReEVV?=
 =?utf-8?B?cVo4bzhScjAxQWQwZXB5RXg5VExPRkJ4SURraEpWaW83VHI0eXZiaGUrcTRG?=
 =?utf-8?B?SnVBYko3NnNuY2FYQjczd1o0SFJyM01RaS9VeThHU1liUWRSNmVxTHI5OVRt?=
 =?utf-8?B?eDJCUFFXalczNHNoRkNoTFpncWloRUtDZWlpYVNUek5Fd1hSNnQyNE91UWJ0?=
 =?utf-8?B?bzlDSTNzVm5YdGxQWVdtblIyK2ZsUjAyeWZ2TDBWbzFWS0VwYjNjZ3RRMGVo?=
 =?utf-8?B?Q0xhVHB1bEdBUmUvaFNZRzJ5V2wvSHhlQkpmd2xPTkk4VHJFVmcwcEFvM2tQ?=
 =?utf-8?B?c090c2ZkWU9JdUNVREN5RXExZk91UEZnRTBKS1lyMUs1emtvRStiRnpJOWw1?=
 =?utf-8?B?Z3BXb1JRelB3L2ZEWEpZUHdoWHYzaHpIbDFjc0FJdnZ5b01OY0hldjBKbFpu?=
 =?utf-8?B?YlVxUVhnK0NWdlhBU3RUcTRXZkRwUDQyUmJVYWR3UjNwZzhRV3RTS20vWWlt?=
 =?utf-8?B?MVFweTRyT0x0eXRtdExtcmxJaU40UjdtOThLaG9qWWFPdDdxU0d4ZnRxU1p4?=
 =?utf-8?B?VVF3OW9CQ1FjRVlac3FFbit6TFlNeXh0TkxKOGRRSG1JaG1Uc3NhWTJhNU14?=
 =?utf-8?B?cDdMcVd3ZkpnS0M2WXlyOU9ScDFEUWRNNnNyMGJBekpLRTNaTURYd2k4VVBt?=
 =?utf-8?B?VWVEZnFsOTBtRkhsdU9zRlhPQzFTbWNXUWRIR3J6MWxpMnJPSkRKcGF5d1pm?=
 =?utf-8?B?K0VMdklxNFY3NDJSYnQ5QnRaZzVGd2swTDYyUURxRzBpZ3BiemJuT2VldlJs?=
 =?utf-8?B?MXhzNXd6cEZKRUoxUEppcTlSTHpsM3hrUzJydGoyc0RRV1BlaUVLaUtSNkxl?=
 =?utf-8?B?eXJMN1RBVWhBQllNTDY3OTBVdHRsTUFvQ2NoMGdidDVjckZPWk4yNk1ZL2dQ?=
 =?utf-8?B?Mm1xcUNtTmNuRGdjYmF0d0xEb0cwU3Q2RStPZmtSQzJCbHpjQkxOaGZ0RmFR?=
 =?utf-8?B?TkZhUlQvdHFYTHllUVAzWTk5RzE4ek5WWUxscmZwZVV2ZVFYQU4vYjlNSWFu?=
 =?utf-8?B?VS9SWmkyQVZvMTlNbW1IU2R1MFRxSTBaeGRRZjM1R0paemVKN2k1OFpPVjNh?=
 =?utf-8?Q?x1b4mlsQMkjYtpt/WOLy0KE=3D?=
X-OriginatorOrg: cornell.edu
X-MS-Exchange-CrossTenant-Network-Message-Id: 217b8dac-a142-4675-577a-08d9aa9e391e
X-MS-Exchange-CrossTenant-AuthSource: BN7PR04MB4388.namprd04.prod.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 18 Nov 2021 14:17:59.1449 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 5d7e4366-1b9b-45cf-8e79-b14b27df46e1
X-MS-Exchange-CrossTenant-MailboxType: HOSTED
X-MS-Exchange-CrossTenant-UserPrincipalName: I9Ps3hCHGjCTI53uG/Gw+RpqVjPnIh6XESmHK31rd2P66Ozc43JTiD3VvjGTSQZoGd+2uiVaTFVx5ZWeC+JnsQ==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: BN8PR04MB6065
X-Spam-Score: 1.3 (+)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  On 11/18/2021 2:53 AM, Guy Offer wrote: > * Have the source
 pointed by a network drive (e.g. F:/source, etc.). > * Install Cygwin on
 the local machine: (including make, X11, GNU Emacs 27.2, gcc, packa [...] 
 Content analysis details:   (1.3 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 RCVD_IN_MSPIKE_H2      RBL: Average reputation (+2)
 [40.107.223.98 listed in wl.mailspike.net]
 -0.0 RCVD_IN_DNSWL_NONE     RBL: Sender listed at https://www.dnswl.org/,
 no trust [40.107.223.98 listed in list.dnswl.org]
 0.0 T_SPF_TEMPERROR        SPF: test of record failed (temperror)
 -0.0 SPF_HELO_PASS          SPF: HELO matches SPF record
 0.0 MSGID_FROM_MTA_HEADER  Message-Id was added by a relay
 1.3 FORGED_SPF_HELO        No description available.
 -0.1 NICE_REPLY_A           Looks like a legit reply (A)
X-Debbugs-Envelope-To: 51894
Cc: "51894 <at> debbugs.gnu.org" <51894 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.1 (-)

On 11/18/2021 2:53 AM, Guy Offer wrote:
> * Have the source pointed by a network drive (e.g. F:/source, etc.).
> * Install Cygwin on the local machine: (including make, X11, GNU Emacs 27.2, gcc, packages etc.).
> * Download and compile gdb 11.1 (I had to compile myself to work with linux target and build x86_64-redhat-linux-gnu-gdb).
> * Activate gdb from emacs by : Alt-x, gdb, gdb -i=mi etc.

I don't have time to try to replicate this setup, nor do I have a Linux machine 
on my network.  But I did map a network drive and verify that there was no 
problem accessing it via the cygdrive prefix (e.g., 'ls /cygdrive/x' succeeds 
after X: is mapped to a folder that I can access on a networked Windows 
machine).  This answers a question that Eli asked earlier.

Ken




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51894; Package emacs. Full text available.

Message received at 51894 <at> debbugs.gnu.org:


Received: (at 51894) by debbugs.gnu.org; 18 Nov 2021 11:03:05 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 18 06:03:05 2021
Received: from localhost ([127.0.0.1]:34955 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mnfC5-0002MN-7R
	for submit <at> debbugs.gnu.org; Thu, 18 Nov 2021 06:03:05 -0500
Received: from eggs.gnu.org ([209.51.188.92]:42526)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mnfC3-0002Lr-II
 for 51894 <at> debbugs.gnu.org; Thu, 18 Nov 2021 06:03:04 -0500
Received: from [2001:470:142:3::e] (port=44550 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mnfBx-00018e-FO; Thu, 18 Nov 2021 06:02:57 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=nyGseoNIFE1HNkYE5elPnpQP7poSy6/nWYBaJlMidT8=; b=RosZajTXYBal
 fxnRUt4Yl3aGtHMl5opszln+OBHoQNm98nSkfoFGMHx7yll6xJKRsYC+YAazShr+lrE4okGAMSoRP
 w8xmU+odATYQC33uFO0zXRkdInYVJia6uh05H3l+2jquhSq0pvjDzF1IuVCafFfd7/fTFLF7AKGuY
 pUUridf91k0W8NodFtwxZsZU9FD4Wt5xi6Czc8gSLa+LwIYFtq76OGtK0c87Sr7DSuQM3LxY19xbM
 L4P3U46oe8pwKrxoemI2jAtuI4OnV0mwM/6D4jWG5wHxCIsiwFZlguZsmdWaIqRsnDM3TqrdH6nw4
 0WZRzO6y0/QXJTRg3gEuNw==;
Received: from [87.69.77.57] (port=2357 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mnfBx-0007xI-34; Thu, 18 Nov 2021 06:02:57 -0500
Date: Thu, 18 Nov 2021 13:02:52 +0200
Message-Id: <83lf1lybdv.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Guy Offer <guyof@HIDDEN>
In-Reply-To: <45a58bbbf003472e9332306dd261238a@HIDDEN> (message from
 Guy Offer on Thu, 18 Nov 2021 08:54:22 +0000)
Subject: Re: bug#51894: 27.2; GDB Gud support on Cygwin has trouble accessing
 shared files on Windows network drives.
References: <522fd31d7bfc4c6b93d1eee254fa1218@HIDDEN>
 <83fsrw166y.fsf@HIDDEN> <1110db48db9540d8a33bdf9117fa24ae@HIDDEN>
 <83fsruzwki.fsf@HIDDEN> <a2b32a26f4084b56988c1d9b597476e9@HIDDEN>
 <83bl2izpcv.fsf@HIDDEN> <9fac329f-43d2-a27e-3fd5-f6522993a30f@HIDDEN>
 <7bed7b9225494404b83915071b37ea6e@HIDDEN> <83mtm1yhz0.fsf@HIDDEN>
 <45a58bbbf003472e9332306dd261238a@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51894
Cc: 51894 <at> debbugs.gnu.org, kbrown@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Guy Offer <guyof@HIDDEN>
> CC: "kbrown@HIDDEN" <kbrown@HIDDEN>,
>         "51894 <at> debbugs.gnu.org"
> 	<51894 <at> debbugs.gnu.org>
> Date: Thu, 18 Nov 2021 08:54:22 +0000
> 
> Also, can you try "M-x gud-gdb RET" instead, and see if the problem exists there as well?  Maybe there's something in gdb-mi.el that doesn't work well in this case, in particular when it parses the file names reported by GDB's MI interface.  For that reason, I'd be interested to see the raw data about source file names emitted by GDB in response to Emacs's queries.  For that purpose, activate the gdb-enable-debug minor mode, and show the contents of the variable gdb-debug-log after a command that results in such failures.
> 
> =====> The gud-gdb does not have the IDE support (it only runs the gdb on a single window without opening the source files, stack or variable windows).

That's not entirely true: it does open a window with the source file.

Anyway I'm not saying you should use "M-x gud-gdb" instead of "M-x
gdb", I'm asking you to try gud-gdb just this once to see if it is
capable of resolving these file names.  Could you please try that and
report the results?  Knowing that could give some hint about where to
look for the reasons of your original problem.

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51894; Package emacs. Full text available.

Message received at 51894 <at> debbugs.gnu.org:


Received: (at 51894) by debbugs.gnu.org; 18 Nov 2021 08:54:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 18 03:54:43 2021
Received: from localhost ([127.0.0.1]:34644 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mndBr-00068C-GB
	for submit <at> debbugs.gnu.org; Thu, 18 Nov 2021 03:54:43 -0500
Received: from michael.checkpoint.com ([194.29.34.68]:33368
 helo=smtp.checkpoint.com) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <guyof@HIDDEN>) id 1mndBm-00067d-8X
 for 51894 <at> debbugs.gnu.org; Thu, 18 Nov 2021 03:54:42 -0500
x-m-msg: CPCHECK
DKIM-Filter: OpenDKIM Filter v2.11.0 smtp.checkpoint.com 1AI8sSqC025286
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=checkpoint.com;
 s=default; t=1637225669;
 bh=A/bjiuy7UtlT1nyLRCZ7lrdZWd5S4rVWne2Uq2DkiDg=;
 h=From:To:CC:Subject:Date:References:In-Reply-To:From;
 b=UT5YtRU6yQCVCPfwoKWpyduE22n5bsBbJD41dcQaCAeU6uRzRgP11zRwIABPgGCEo
 49q+GE88z+CHZA6V6z30Vh1zfPU+5rECyw2c18NCBBNY9NM3YE7Yh1rUNHrztYzca4
 /iHIHZb+axpu2Lp8tZwgWpSy7seK8Jh1M5LGiR2Q=
Received: from ilp-tlv-ex03.ad.checkpoint.com (ilp-tlv-ex03.ad.checkpoint.com
 [194.29.34.164])
 by smtp.checkpoint.com (8.14.7/8.14.7) with ESMTP id 1AI8sSqC025286;
 Thu, 18 Nov 2021 10:54:29 +0200
Received: from ilp-tlv-ex02.ad.checkpoint.com (194.29.34.172) by
 ilp-tlv-ex03.ad.checkpoint.com (194.29.34.164) with Microsoft SMTP Server
 (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256) id
 15.1.2375.7; Thu, 18 Nov 2021 10:54:22 +0200
Received: from ilp-tlv-ex02.ad.checkpoint.com ([fe80::3de2:257a:40ba:51ad]) by
 ilp-tlv-ex02.ad.checkpoint.com ([fe80::3de2:257a:40ba:51ad%6]) with
 mapi id 15.01.2375.007; Thu, 18 Nov 2021 10:54:22 +0200
From: Guy Offer <guyof@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: RE: bug#51894: 27.2; GDB Gud support on Cygwin has trouble accessing
 shared files on Windows network drives.
Thread-Topic: bug#51894: 27.2; GDB Gud support on Cygwin has trouble accessing
 shared files on Windows network drives.
Thread-Index: Adfay1ESiUfQqo4aRYeuzzs4YFnEUQAMmpgUAC8es7AAAWuEUwAAyhKAAASj/Cr//+e4gP/+9TLAgAIqZmv////HEA==
Date: Thu, 18 Nov 2021 08:54:22 +0000
Message-ID: <45a58bbbf003472e9332306dd261238a@HIDDEN>
References: <522fd31d7bfc4c6b93d1eee254fa1218@HIDDEN>
 <83fsrw166y.fsf@HIDDEN> <1110db48db9540d8a33bdf9117fa24ae@HIDDEN>
 <83fsruzwki.fsf@HIDDEN> <a2b32a26f4084b56988c1d9b597476e9@HIDDEN>
 <83bl2izpcv.fsf@HIDDEN> <9fac329f-43d2-a27e-3fd5-f6522993a30f@HIDDEN>
 <7bed7b9225494404b83915071b37ea6e@HIDDEN> <83mtm1yhz0.fsf@HIDDEN>
In-Reply-To: <83mtm1yhz0.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-originating-ip: [194.29.34.56]
x-cpdlp: 1142c178ae605a5863d87a487d0fded111b0408456
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 51894
Cc: "51894 <at> debbugs.gnu.org" <51894 <at> debbugs.gnu.org>,
 "kbrown@HIDDEN" <kbrown@HIDDEN>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)



-----Original Message-----
From: Eli Zaretskii [mailto:eliz@HIDDEN]=20
Sent: Thursday, 18 November 2021 10:41
To: Guy Offer <guyof@HIDDEN>
Cc: kbrown@HIDDEN; 51894 <at> debbugs.gnu.org
Subject: Re: bug#51894: 27.2; GDB Gud support on Cygwin has trouble accessi=
ng shared files on Windows network drives.

> From: Guy Offer <guyof@HIDDEN>
> CC: "51894 <at> debbugs.gnu.org" <51894 <at> debbugs.gnu.org>
> Date: Thu, 18 Nov 2021 07:53:37 +0000
>=20
> * If you set the code path (set substitute-path) to the actual code locat=
ion /cygdrive/f/source the code will be available to the gdb command window=
 but will not be opened automatically in the primary source window/buffer.=
=20
> * If you set the code location to //cygdrive/f/source the code will be av=
ailable to the source window - but not to the gdb command window.=20

Why is "set substitute-path" command needed?  The program you are debugging=
 should have the source location recorded in the debug info, so that step s=
hould not be needed.


I'm asking because perhaps this step is an important part of the problem.
=3D=3D=3D>
	It was compiled on a different location.=20
	I had the same problem occurring when using the "directory" command (addin=
g a directory to the source search path) as well.


Also, can you try "M-x gud-gdb RET" instead, and see if the problem exists =
there as well?  Maybe there's something in gdb-mi.el that doesn't work well=
 in this case, in particular when it parses the file names reported by GDB'=
s MI interface.  For that reason, I'd be interested to see the raw data abo=
ut source file names emitted by GDB in response to Emacs's queries.  For th=
at purpose, activate the gdb-enable-debug minor mode, and show the contents=
 of the variable gdb-debug-log after a command that results in such failure=
s.

=3D=3D=3D=3D=3D> The gud-gdb does not have the IDE support (it only runs th=
e gdb on a single window without opening the source files, stack or variabl=
e windows).

> Another problem : when the source is not available the Emacs command prom=
pt get into a loop.

I believe that was fixed in Emacs 28.


Secured by Check Point


________________________________

Report suspicious email
<https://mta-cnf.iaas.checkpoint.com/cmta_feedback_request?id=3DOTNmODc4NjY=
zMTE2NzlhOTZkNmI2NGQ4ZjI2MmY4ZjI2NDhhMDc4OTcyNmZkYjFmYzI0ZjMwNThiZTM5OGMyMA=
=3D=3D&t=3DYWI5ZjBkMjktYmI3Yy00OGI2LWIzYTMtODA0NTRmY2NjODNm>
________________________________







Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51894; Package emacs. Full text available.

Message received at 51894 <at> debbugs.gnu.org:


Received: (at 51894) by debbugs.gnu.org; 18 Nov 2021 08:40:48 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 18 03:40:48 2021
Received: from localhost ([127.0.0.1]:34624 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mncyO-0005iB-Bc
	for submit <at> debbugs.gnu.org; Thu, 18 Nov 2021 03:40:48 -0500
Received: from eggs.gnu.org ([209.51.188.92]:58456)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mncyN-0005hv-Bn
 for 51894 <at> debbugs.gnu.org; Thu, 18 Nov 2021 03:40:47 -0500
Received: from [2001:470:142:3::e] (port=40700 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mncyG-0004qq-CC; Thu, 18 Nov 2021 03:40:40 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=HPLATAepjX30v+4m8wVEUZ5qxWVoUyNFFRKIgo1MVX8=; b=cCmTOwaPWq1w
 eDd8pN1YmHaMp6GEE1KkbIOUFSsRK4PwQpVeqNx+EVmB+0e7vZIEn1J/eJ10NeGlQN3MkNtGcYchd
 PRBkS0ufkwpximDHXo7MK6vGha7I7R8XI8jALSynJec06VthYzbkxy4vbKL0vNyS2tsbMGD6lGa1v
 xT/U6PzVhxeLsrkT6jOdldkCozdjS4MDVK/rINx+GtIam90cO8YtmPoBZFnCI2TiimQP9xXiQUcg+
 8bnaJkKiJNT60osao+1+P62TQO0YpziuK7ppOsdsseru+xyHsddssPJy1sETYCpS0lsAd2g/aS/GW
 fD2zFWLd2LPypwOSPLAXpQ==;
Received: from [87.69.77.57] (port=1563 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mncyG-0006VE-65; Thu, 18 Nov 2021 03:40:40 -0500
Date: Thu, 18 Nov 2021 10:40:35 +0200
Message-Id: <83mtm1yhz0.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Guy Offer <guyof@HIDDEN>
In-Reply-To: <7bed7b9225494404b83915071b37ea6e@HIDDEN> (message from
 Guy Offer on Thu, 18 Nov 2021 07:53:37 +0000)
Subject: Re: bug#51894: 27.2; GDB Gud support on Cygwin has trouble accessing
 shared files on Windows network drives.
References: <522fd31d7bfc4c6b93d1eee254fa1218@HIDDEN>
 <83fsrw166y.fsf@HIDDEN> <1110db48db9540d8a33bdf9117fa24ae@HIDDEN>
 <83fsruzwki.fsf@HIDDEN> <a2b32a26f4084b56988c1d9b597476e9@HIDDEN>
 <83bl2izpcv.fsf@HIDDEN> <9fac329f-43d2-a27e-3fd5-f6522993a30f@HIDDEN>
 <7bed7b9225494404b83915071b37ea6e@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51894
Cc: 51894 <at> debbugs.gnu.org, kbrown@HIDDEN
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Guy Offer <guyof@HIDDEN>
> CC: "51894 <at> debbugs.gnu.org" <51894 <at> debbugs.gnu.org>
> Date: Thu, 18 Nov 2021 07:53:37 +0000
> 
> * If you set the code path (set substitute-path) to the actual code location /cygdrive/f/source the code will be available to the gdb command window but will not be opened automatically in the primary source window/buffer. 
> * If you set the code location to //cygdrive/f/source the code will be available to the source window - but not to the gdb command window. 

Why is "set substitute-path" command needed?  The program you are
debugging should have the source location recorded in the debug info,
so that step should not be needed.

I'm asking because perhaps this step is an important part of the
problem.

Also, can you try "M-x gud-gdb RET" instead, and see if the problem
exists there as well?  Maybe there's something in gdb-mi.el that
doesn't work well in this case, in particular when it parses the file
names reported by GDB's MI interface.  For that reason, I'd be
interested to see the raw data about source file names emitted by GDB
in response to Emacs's queries.  For that purpose, activate the
gdb-enable-debug minor mode, and show the contents of the variable
gdb-debug-log after a command that results in such failures.

> Another problem : when the source is not available the Emacs command prompt get into a loop.

I believe that was fixed in Emacs 28.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51894; Package emacs. Full text available.

Message received at 51894 <at> debbugs.gnu.org:


Received: (at 51894) by debbugs.gnu.org; 18 Nov 2021 07:53:59 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Nov 18 02:53:59 2021
Received: from localhost ([127.0.0.1]:34566 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mncF4-0004GO-ME
	for submit <at> debbugs.gnu.org; Thu, 18 Nov 2021 02:53:58 -0500
Received: from michael.checkpoint.com ([194.29.34.68]:45574
 helo=smtp.checkpoint.com) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <guyof@HIDDEN>) id 1mncF0-0004G1-GD
 for 51894 <at> debbugs.gnu.org; Thu, 18 Nov 2021 02:53:56 -0500
x-m-msg: CPCHECK
DKIM-Filter: OpenDKIM Filter v2.11.0 smtp.checkpoint.com 1AI7rhA4015038
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=checkpoint.com;
 s=default; t=1637222024;
 bh=4TiBhqXLf1OvhtEvEt/nMIwKoIEpw3Pr/bfJK1mMmXM=;
 h=From:To:CC:Subject:Date:References:In-Reply-To:From;
 b=B43JeUjsSlfTNT1W6aI62Nc+ETRmiJnd4gncAdJo0hoFhsWK4MrEoLDV/gUntYhO/
 0/yaeFPoNx2E2wVM6NikDPALNi4WfkKaf6boSjemoCh3w5bxugnGvx7egakYqy1thG
 4rL5IZ4Yj2yTlw/y8RV+s4vbznryhizfXJ1JLXxo=
Received: from ilp-tlv-ex03.ad.checkpoint.com (ilp-tlv-ex03.ad.checkpoint.com
 [194.29.34.164])
 by smtp.checkpoint.com (8.14.7/8.14.7) with ESMTP id 1AI7rhA4015038;
 Thu, 18 Nov 2021 09:53:44 +0200
Received: from ilp-tlv-ex02.ad.checkpoint.com (194.29.34.172) by
 ilp-tlv-ex03.ad.checkpoint.com (194.29.34.164) with Microsoft SMTP Server
 (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256) id
 15.1.2375.7; Thu, 18 Nov 2021 09:53:37 +0200
Received: from ilp-tlv-ex02.ad.checkpoint.com ([fe80::3de2:257a:40ba:51ad]) by
 ilp-tlv-ex02.ad.checkpoint.com ([fe80::3de2:257a:40ba:51ad%6]) with
 mapi id 15.01.2375.007; Thu, 18 Nov 2021 09:53:37 +0200
From: Guy Offer <guyof@HIDDEN>
To: Ken Brown <kbrown@HIDDEN>, Eli Zaretskii <eliz@HIDDEN>
Subject: RE: bug#51894: 27.2; GDB Gud support on Cygwin has trouble accessing
 shared files on Windows network drives.
Thread-Topic: bug#51894: 27.2; GDB Gud support on Cygwin has trouble accessing
 shared files on Windows network drives.
Thread-Index: Adfay1ESiUfQqo4aRYeuzzs4YFnEUQAMmpgUAC8es7AAAWuEUwAAyhKAAASj/Cr//+e4gP/+9TLA
Date: Thu, 18 Nov 2021 07:53:37 +0000
Message-ID: <7bed7b9225494404b83915071b37ea6e@HIDDEN>
References: <522fd31d7bfc4c6b93d1eee254fa1218@HIDDEN>
 <83fsrw166y.fsf@HIDDEN> <1110db48db9540d8a33bdf9117fa24ae@HIDDEN>
 <83fsruzwki.fsf@HIDDEN> <a2b32a26f4084b56988c1d9b597476e9@HIDDEN>
 <83bl2izpcv.fsf@HIDDEN> <9fac329f-43d2-a27e-3fd5-f6522993a30f@HIDDEN>
In-Reply-To: <9fac329f-43d2-a27e-3fd5-f6522993a30f@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-originating-ip: [194.29.34.56]
x-cpdlp: 11465164f07df5896c1988d2521b9b103f57d685ab
Content-Type: text/plain; charset="utf-8"
Content-Transfer-Encoding: base64
MIME-Version: 1.0
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 51894
Cc: "51894 <at> debbugs.gnu.org" <51894 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)
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Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51894; Package emacs. Full text available.

Message received at 51894 <at> debbugs.gnu.org:


Received: (at 51894) by debbugs.gnu.org; 17 Nov 2021 17:40:50 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 17 12:40:50 2021
Received: from localhost ([127.0.0.1]:33811 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mnOvS-00089o-6g
	for submit <at> debbugs.gnu.org; Wed, 17 Nov 2021 12:40:50 -0500
Received: from mail-dm6nam12on2112.outbound.protection.outlook.com
 ([40.107.243.112]:15969 helo=NAM12-DM6-obe.outbound.protection.outlook.com)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <kbrown@HIDDEN>) id 1mnOvP-00089V-9r
 for 51894 <at> debbugs.gnu.org; Wed, 17 Nov 2021 12:40:49 -0500
ARC-Seal: i=1; a=rsa-sha256; s=arcselector9901; d=microsoft.com; cv=none;
 b=GTfaQuHrVddgH36KC++JrzLLOwISWnB9ia7LSAUfwKZEXLqSuwSkkoE0L3qelhYi+9eHd3cicYkb1pTTVj5xhUUrD+a8Ee9DcVk1xq9yOziIJR0yL1YRg47FPks78pSuVXPRVmX3tfNCXka/gRoc5CGcKMmfaPwlk77qnkavbj4x/o2sYF/myu4rSmeeDZm+cIXuDTsNoFPOw5tTRauVmCwAv3W9pkmmNm2OhOAgndXYlXQPt/oW58pFaCjBFR/h5Mts0SQldeZGf0lLyX/KwGav5MCB0jsyX8H4ZN29KHjw9FGR1OXl44an89XF5a9pWsbripHWIB3Rb3oQM8SZhg==
ARC-Message-Signature: i=1; a=rsa-sha256; c=relaxed/relaxed; d=microsoft.com; 
 s=arcselector9901;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-AntiSpam-MessageData-ChunkCount:X-MS-Exchange-AntiSpam-MessageData-0:X-MS-Exchange-AntiSpam-MessageData-1;
 bh=mP1shkvNzQLufDMFYJuc7spoji8g59Guk9mkx0hZ6Ic=;
 b=K1Xai8SlwgXV+ImmQ0xNLiphGuAzJIBedUPZRtlKIU0ovRvxJD2NSwAF/yacxmZdbP2my4V4gYepgZSnCs2acu52PeOmm4zEZ2q2sHAvRfq44GS1ZXdOYMAtZbZVjo5cCzMbinCHu1iJ366tby/W6wtBefq4jqWG7YQ27bfKfpNDafWzI528FGRjxfUUVUW6vTon2l8H3A/k/EmG5uGJSR9FCdqYKm6099YhcewZHHRSx7rhQjmVv99f3yqvR2zusLsMP/r0Gy1dvif83UIU0n+6gxXPjEPAPNB007vlodlm/xQpVDg1COKG5kJBnIhExdxjuFQnzewOonJFQp46WA==
ARC-Authentication-Results: i=1; mx.microsoft.com 1; spf=pass
 smtp.mailfrom=cornell.edu; dmarc=pass action=none header.from=cornell.edu;
 dkim=pass header.d=cornell.edu; arc=none
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=cornell.edu;
 s=selector2;
 h=From:Date:Subject:Message-ID:Content-Type:MIME-Version:X-MS-Exchange-SenderADCheck;
 bh=mP1shkvNzQLufDMFYJuc7spoji8g59Guk9mkx0hZ6Ic=;
 b=aRTSnCPDvAy5P/idl8L1bnKd3aPgk6JatAKL+Dm3+PZPvfsZvQh3CJ0tAlIUcezw+lSFCXS56df1SmstT8P3h8jlsJGPlnl54NK+P8VnfUMjEPVK6hPL7E9z33u2i5wp2iMSxgrlJbyn5QcFlWsP6DfWkPjv0rAL22vioC7IusY=
Authentication-Results: dkim=none (message not signed)
 header.d=none;dmarc=none action=none header.from=cornell.edu;
Received: from BN7PR04MB4388.namprd04.prod.outlook.com (2603:10b6:406:f8::19)
 by BN8PR04MB6387.namprd04.prod.outlook.com (2603:10b6:408:d7::22)
 with Microsoft SMTP Server (version=TLS1_2,
 cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id 15.20.4713.21; Wed, 17 Nov
 2021 17:40:40 +0000
Received: from BN7PR04MB4388.namprd04.prod.outlook.com
 ([fe80::88c4:79c5:1eb1:b969]) by BN7PR04MB4388.namprd04.prod.outlook.com
 ([fe80::88c4:79c5:1eb1:b969%7]) with mapi id 15.20.4690.027; Wed, 17 Nov 2021
 17:40:40 +0000
Message-ID: <9fac329f-43d2-a27e-3fd5-f6522993a30f@HIDDEN>
Date: Wed, 17 Nov 2021 12:40:39 -0500
User-Agent: Mozilla/5.0 (Windows NT 10.0; Win64; x64; rv:91.0) Gecko/20100101
 Thunderbird/91.3.1
Subject: Re: bug#51894: 27.2; GDB Gud support on Cygwin has trouble accessing
 shared files on Windows network drives.
Content-Language: en-US
To: Eli Zaretskii <eliz@HIDDEN>, Guy Offer <guyof@HIDDEN>
References: <522fd31d7bfc4c6b93d1eee254fa1218@HIDDEN>
 <83fsrw166y.fsf@HIDDEN> <1110db48db9540d8a33bdf9117fa24ae@HIDDEN>
 <83fsruzwki.fsf@HIDDEN> <a2b32a26f4084b56988c1d9b597476e9@HIDDEN>
 <83bl2izpcv.fsf@HIDDEN>
From: Ken Brown <kbrown@HIDDEN>
In-Reply-To: <83bl2izpcv.fsf@HIDDEN>
Content-Type: text/plain; charset=UTF-8; format=flowed
Content-Transfer-Encoding: 7bit
X-ClientProxiedBy: CH2PR07CA0042.namprd07.prod.outlook.com
 (2603:10b6:610:5b::16) To BN7PR04MB4388.namprd04.prod.outlook.com
 (2603:10b6:406:f8::19)
MIME-Version: 1.0
Received: from [IPV6:2603:7081:7e3f:3419:1c5d:e1a9:7b:59ab]
 (2603:7081:7e3f:3419:1c5d:e1a9:7b:59ab) by
 CH2PR07CA0042.namprd07.prod.outlook.com (2603:10b6:610:5b::16) with Microsoft
 SMTP Server (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_256_GCM_SHA384) id
 15.20.4690.25 via Frontend Transport; Wed, 17 Nov 2021 17:40:40 +0000
X-MS-PublicTrafficType: Email
X-MS-Office365-Filtering-Correlation-Id: 7bda8e95-1e60-4491-94eb-08d9a9f15f85
X-MS-TrafficTypeDiagnostic: BN8PR04MB6387:
X-Microsoft-Antispam-PRVS: <BN8PR04MB6387EEC4ABD4C8C30271FF75D89A9@HIDDEN>
X-MS-Oob-TLC-OOBClassifiers: OLM:6430;
X-MS-Exchange-SenderADCheck: 1
X-MS-Exchange-AntiSpam-Relay: 0
X-Microsoft-Antispam: BCL:0;
X-Microsoft-Antispam-Message-Info: Ql8YNb/+eXSGDxesHQFGXTA35l18CrVyJnSphrjJVcuCrFnImX0Q39h7SDKdsxU3SJEaULFN5efOVkBy1WnhWlwjdV1bUbMK4g8i24lBzeYCH2ld15+paF1xk9Q7mXVPiIXRQFffassCD4GuFVmNc2IjEE9myHDPEG3sjEQ+Slj6BkSgqZQDKZg1iJwhADp6xvt1I7Eip2hdWjvcOU6ift9ECbaFTs9LBn3mXASm9DYsN1GNscxdgK9Hr8Fe3eKu91pDJnQ34RwxqHudbsJRY4RFpXwecwGdI386/tvTO8bZXsCJW9HcvZdd85prff+qTcT/sWnGslRXmmsQrARexaWjIf0UmyyMQ6DanttN9XfKrbMocNcfUKWARXUNWDFMqa4u2LxbISmQ7JtvrgF4oB3osoE8OhVb5jZPmKkv8TtTf7ZRm6tun2C8XCeKmu/0d+VilUSSDbM5EmiqAsi+Llym/xzAI4MPqdbC0oGFECTp3VF6WHJLJ2xdJM03m8oay16Ap7DfXImCanXyMxG56EMELYXCwJ2G4k9F6cbIMc3PcyI96p3fCQcM+yicINiMN1yi/tzlkcf83+l2bAGJMMh6Tqy3WNNzVs2GsStsXiCxsRbvWzhuVkQ5O2gv0vM8mRpf8HbsudUAArehXS7yXSX8RcmO9qrAuMQBAqzNhJEQ96YG3XfY34y2hbnSlHq7hQ8IerJxmvI8CshaBR0Gm2yk980Rx9iGhpX6SU0fXiU=
X-Forefront-Antispam-Report: CIP:255.255.255.255; CTRY:; LANG:en; SCL:1; SRV:;
 IPV:NLI; SFV:NSPM; H:BN7PR04MB4388.namprd04.prod.outlook.com; PTR:; CAT:NONE;
 SFS:(4636009)(366004)(38100700002)(2616005)(4744005)(5660300002)(66476007)(6486002)(66946007)(66556008)(186003)(8936002)(508600001)(4326008)(8676002)(36756003)(31696002)(75432002)(786003)(53546011)(31686004)(110136005)(2906002)(86362001)(316002)(45980500001)(43740500002);
 DIR:OUT; SFP:1102; 
X-MS-Exchange-AntiSpam-MessageData-ChunkCount: 1
X-MS-Exchange-AntiSpam-MessageData-0: =?utf-8?B?Zm5aWWtmdHZnbXdwNWxpU1ZoRHFRRE1valRRZWRMMlV4NFFRdnZqaEgvL2Z2?=
 =?utf-8?B?VFFYYTMvb0V4aTl4aU83cm54bGpXdlVWS254L2NFSjNtSGU0dll6dUU0Rk41?=
 =?utf-8?B?ZEdIUTJYa3hCQStSaWYxMGJuUVdXU1dNSTk5SUthL0FDVU5tZE5BQ2NHSXZS?=
 =?utf-8?B?RnlSZHBhSFZCMVY4RS9qaE5DaTdDZDE4SUkrS2ppWUxHUWlrZ1VoQlJEVVhD?=
 =?utf-8?B?TUJXYWZxcFhJNHlTeWdva0dvUTRNWkFudXEzQ1htTFJxd0F5a0U1R2RDZEZX?=
 =?utf-8?B?a25qc2FaL3pxQ3Z3OGVzTVB1bjdBMi9SNG15ZG1RYmozb1llSUtuMTZaT1l5?=
 =?utf-8?B?enZlb1NZM1VjWjZmNEpxcStmYjFkZ0JaVGthTTJGSXY3U3RocUd2NmxvZDZU?=
 =?utf-8?B?ZUdRV1VlTlBCOVhaTlNJU2ZOMkcwdVFURzVsRk9NM240U2NaSkRlSXp4MEtV?=
 =?utf-8?B?V1BaV3FXd2ZOZ3VibkJTWXA4L2RrbllWYmFiZi93VzVWb0RhSUtPTVNaTXpM?=
 =?utf-8?B?UkpXUWVkeUxydVRXNXR2R3dnb0lUeFhrWWFsQWl3NXJSUnJ4aHBTUDBiakxu?=
 =?utf-8?B?SDBoT3hEVFpEYVVXNm1rYTlUMmY0bFRXdm9uTExOL2hNY2U2blpHc05tQWpt?=
 =?utf-8?B?ZXRGcGhoOTJHb3ZRTE81M0RMQWEvbXlTMUF2T3NPK3krOTJXVmpkYVMwQ05J?=
 =?utf-8?B?QlFSWC9TR3pEVkh6WStSQ1hVY3lyZHIxNVlWMG9HOC84azdkUGppNHBwSU5J?=
 =?utf-8?B?V0NkbFdNbmJidmFheVNNUm8wRWJyUzBFTXRuN2NIQmpoT1B5LzNtVEhqVjBP?=
 =?utf-8?B?N0F1dWU2cFRBTXJndE5tdk44b1p0UFdISWJTWU13OFJyemtPUDhZOEdMMWIr?=
 =?utf-8?B?Ry9IeThjNnF0MTdNaXZ4TUwvOWJrVi82VUNNQUpxeElHTFA1RTB3NzlRRVR1?=
 =?utf-8?B?bUsrSkUweW5lQk4xVWQ1Q0R1SEI2YjRWUGpJVHg2UFVnN21qc2JuN29FRkFi?=
 =?utf-8?B?TDlUSmFsRDdrYklKMmlyM0RXYmdjN3NWbGR2Q3Y5bDNTNU9mMkZiK2JpSGZi?=
 =?utf-8?B?Zm9IR3JiNDBWU0lIK0M2YmRrQkdJcnlXRmNEdWpYTlJ3YUVOWEhZTGZOWnRJ?=
 =?utf-8?B?U1JLTkg4QitER1o1WW4rVHRrN1pjV0Z0bzBabm91L1BGNGVad01SazlyS0Ev?=
 =?utf-8?B?SjY1cFV6anJReFhnbnNFN1dsT0FkUEhNallybTBnWVFlUnlmcFBRQnVPMWhT?=
 =?utf-8?B?WDdvdW1DOG9PZHlpbmJvY1FHNUEyU1ZubFMxbDJrbEJqTy9NNEJIUktvMXRW?=
 =?utf-8?B?eldFNE5kZ21GRWc3UDdXeHpSNGhnVHA3cm53OVdrNVJQa1NVdmNOUmNObnJD?=
 =?utf-8?B?UzlVS0Foa1NUSjhVUFFPMVIxdDh2aEVVMVNCU0p2aTlPbVFlZTRYd3JiZlNJ?=
 =?utf-8?B?Sk55U3IvZ2x4S0tGRThvcmlCV2dQQWJYRW00MWszQ1VQRnVnVVBDMHQxSG9s?=
 =?utf-8?B?aGxMZ1NTb1NPNDAwWVhmcmc5TTY5OE5CMmpoQWtnZWJ3UFFmWHQ0Nm50c0lH?=
 =?utf-8?B?cWpDMnBNWVp3NkYxck9BcWFQcHFBMFZyMzBRNk5QcFRlZi9sUktpQlcrMENo?=
 =?utf-8?B?WGFtWjZoMmdrOWdvRW9jdURxTU9Bd2FzSTM3WTUxTzFaT0had24xOGlxU2lR?=
 =?utf-8?B?UmJLTE1JNXFMdWY2M3ZLZVhQemhSZnhPWHBqeVRqU1YvS21VZHRVMUdyeFQz?=
 =?utf-8?B?WjRRQkw0OWZxdURTOXl6aTd5OTVMcVZDRU8xSDlUbzhXVE9Pa0xmSHdMWGZn?=
 =?utf-8?B?Mm9pZUd3dzVwWXdKNUhvSDUyRGQ5ckNMVlRidmc2SnZVbDJoZlFVaGNzNzBv?=
 =?utf-8?B?TnVtSzZZZ0hEZ2t2eTRzdWtBR2dtbVhaY1RIcU5yRVVBWUFROE9BRTNaYXY5?=
 =?utf-8?B?WVdYTDJvcllMUWg0Ym9jMWlQTXlSK09IL2NxZllqQTdrNlRVclJYa2pFK3lH?=
 =?utf-8?B?SWxkdnNlN3N6ZUk3aXlLbkZaMlhZVVpMZTRMTjdvZXJjaFY2Z09PcnU2TFg3?=
 =?utf-8?B?V2hrMGE1bk5UYlhOanNGbHVhcXNLL3VYQlZjVXRvcUg5cm13Wms2Tmhmd2RJ?=
 =?utf-8?B?T2NGUHpOOGkwdEZJRFVicTRtWDBudUJsWE5ZNWJ2ZlFZbnRvUmFPWTV4VEhl?=
 =?utf-8?B?VUVibHRRUGpPN1BNbHR2ZWlZZ0FUSk9ubFVwM3pxVit1TFVONGtUUXVXc1pp?=
 =?utf-8?Q?QQ92WiCkKdwhoXczY5pR/yLxXyIxtAi/Z8Q04hyVOc=3D?=
X-OriginatorOrg: cornell.edu
X-MS-Exchange-CrossTenant-Network-Message-Id: 7bda8e95-1e60-4491-94eb-08d9a9f15f85
X-MS-Exchange-CrossTenant-AuthSource: BN7PR04MB4388.namprd04.prod.outlook.com
X-MS-Exchange-CrossTenant-AuthAs: Internal
X-MS-Exchange-CrossTenant-OriginalArrivalTime: 17 Nov 2021 17:40:40.5807 (UTC)
X-MS-Exchange-CrossTenant-FromEntityHeader: Hosted
X-MS-Exchange-CrossTenant-Id: 5d7e4366-1b9b-45cf-8e79-b14b27df46e1
X-MS-Exchange-CrossTenant-MailboxType: HOSTED
X-MS-Exchange-CrossTenant-UserPrincipalName: vNEtUTSu/PMSkI97gZWAiRUUYHx+Y5FgQBxnVYJzi67OnJs1oK7sXKZJ0F02MP46f5gkmdnfgs6cUBRM1HpiyA==
X-MS-Exchange-Transport-CrossTenantHeadersStamped: BN8PR04MB6387
X-Spam-Score: -0.1 (/)
X-Debbugs-Envelope-To: 51894
Cc: 51894 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.1 (-)

On 11/17/2021 12:03 PM, Eli Zaretskii wrote:
>> From: Guy Offer <guyof@HIDDEN>
>> CC: "51894 <at> debbugs.gnu.org" <51894 <at> debbugs.gnu.org>
>> Date: Wed, 17 Nov 2021 15:01:09 +0000
>> Pls note that this happens only if f is a network drive .
> 
> So maybe it's a Cygwin-specific problem with networked drives?  I'll
> CC Ken Brown, who is our Cygwin specialist.  Ken, does this ring a
> bell? does /cygdrive/x/ fail when X is a networked drive?

I'm not aware of any such problem.  I never use networked drives myself, but if 
Guy can tell me exactly how he created his, I'll see if I can reproduce the problem.

Ken




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51894; Package emacs. Full text available.

Message received at 51894 <at> debbugs.gnu.org:


Received: (at 51894) by debbugs.gnu.org; 17 Nov 2021 17:03:44 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 17 12:03:44 2021
Received: from localhost ([127.0.0.1]:33707 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mnOLY-0006nu-7Z
	for submit <at> debbugs.gnu.org; Wed, 17 Nov 2021 12:03:44 -0500
Received: from eggs.gnu.org ([209.51.188.92]:39816)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mnOLW-0006ne-4I
 for 51894 <at> debbugs.gnu.org; Wed, 17 Nov 2021 12:03:42 -0500
Received: from [2001:470:142:3::e] (port=39954 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mnOLN-0004Dg-DE; Wed, 17 Nov 2021 12:03:33 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=5VLdK5J+gPAD7FiEH4jWEH7ET4zqPNVnNs3M31g6Uxo=; b=NLzxTlFuFO1p
 kOH8u1N/Eqwjj3XXDM7EBFapMWzu4bSTqMXD52SorfePDDgMLi+oSqsSSvHR6AlLhmNPAZahWnzxs
 VeyxVUiXAVsOS09ha7vaojnUyhTF+MGY4s557HlUKHlaW/F1ZP+iiY2cZdY4behBmUIVLKlmfp65B
 x4MgBbjWM2JJ4cYMCzUAuz+SLT8xfXkLzV8q+m5Jo3Y1RLBJNqPhHdsmrA3/hgbGrsK6ii/1yW48O
 QNfQz0Ey1mx9whM7cScx2NAv3pIpSqb9NJfwj+ejxI7GoBAVM8ekcyMV/A1cTPRZZcdzVSC3v2bEX
 TME58g+Ar4Enn07/yZ1mmQ==;
Received: from [87.69.77.57] (port=3274 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mnOLN-00065D-22; Wed, 17 Nov 2021 12:03:33 -0500
Date: Wed, 17 Nov 2021 19:03:28 +0200
Message-Id: <83bl2izpcv.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Guy Offer <guyof@HIDDEN>, Ken Brown <kbrown@HIDDEN>
In-Reply-To: <a2b32a26f4084b56988c1d9b597476e9@HIDDEN> (message from
 Guy Offer on Wed, 17 Nov 2021 15:01:09 +0000)
Subject: Re: bug#51894: 27.2; GDB Gud support on Cygwin has trouble accessing
 shared files on Windows network drives.
References: <522fd31d7bfc4c6b93d1eee254fa1218@HIDDEN>
 <83fsrw166y.fsf@HIDDEN> <1110db48db9540d8a33bdf9117fa24ae@HIDDEN>
 <83fsruzwki.fsf@HIDDEN> <a2b32a26f4084b56988c1d9b597476e9@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51894
Cc: 51894 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Guy Offer <guyof@HIDDEN>
> CC: "51894 <at> debbugs.gnu.org" <51894 <at> debbugs.gnu.org>
> Date: Wed, 17 Nov 2021 15:01:09 +0000
> 
> Also, is Emacs capable of visiting file specified as "\cygdrive\f\source\", i.e. does "C-x C-f" work with such names? Emacs can do that if I load the file manually.  However, when emacs tries to open the file as received from gdb (to display the source) it fails.  It only succeeds if I set the pathname to \\cygdrive\f\source.  However in that case the gdb command window cannot access the file. 

Please show the Emacs commands and GDB commands you use in these two
cases.  I'm not sure I understand what you mean by "load file
manually" and "open a file received from gdb"

> Pls note that this happens only if f is a network drive .

So maybe it's a Cygwin-specific problem with networked drives?  I'll
CC Ken Brown, who is our Cygwin specialist.  Ken, does this ring a
bell? does /cygdrive/x/ fail when X is a networked drive?

Or maybe the way your networked drives are mounted prevents Emacs from
accessing them due to some authentication issue?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51894; Package emacs. Full text available.

Message received at 51894 <at> debbugs.gnu.org:


Received: (at 51894) by debbugs.gnu.org; 17 Nov 2021 15:02:09 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 17 10:02:09 2021
Received: from localhost ([127.0.0.1]:33434 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mnMRt-0006RL-CG
	for submit <at> debbugs.gnu.org; Wed, 17 Nov 2021 10:02:09 -0500
Received: from michael.checkpoint.com ([194.29.34.68]:52464
 helo=smtp.checkpoint.com) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <guyof@HIDDEN>) id 1mnMRp-0006Qg-Se
 for 51894 <at> debbugs.gnu.org; Wed, 17 Nov 2021 10:02:08 -0500
x-m-msg: CPCHECK
DKIM-Filter: OpenDKIM Filter v2.11.0 smtp.checkpoint.com 1AHF1vYq027317
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=checkpoint.com;
 s=default; t=1637161319;
 bh=t8HqSd8hNGKSp4GfHapVKMyefq9QXceDQAP8x3Tnqeo=;
 h=From:To:CC:Subject:Date:References:In-Reply-To:From;
 b=JirArJ89cn9bajLJmuZEH3E3l2f0hF/spMAOuhQQ9LCjw4AYUm2K61h0m+/tXzC52
 CVLTN/zhEbRLyA3YGsiJ8HsUvrDJTmzYQj3nqyy73pI2bI2h2gX+6VVnuaRUI1WwXA
 88Rp7xo2jE73QtvzlE7F7S3wbxbFVqso1QmOj8gM=
Received: from ilp-tlv-ex03.ad.checkpoint.com (ilp-tlv-ex03.ad.checkpoint.com
 [194.29.34.164])
 by smtp.checkpoint.com (8.14.7/8.14.7) with ESMTP id 1AHF1vYq027317;
 Wed, 17 Nov 2021 17:01:58 +0200
Received: from ilp-tlv-ex02.ad.checkpoint.com (194.29.34.172) by
 ilp-tlv-ex03.ad.checkpoint.com (194.29.34.164) with Microsoft SMTP Server
 (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256) id
 15.1.2375.7; Wed, 17 Nov 2021 17:01:09 +0200
Received: from ilp-tlv-ex02.ad.checkpoint.com ([fe80::3de2:257a:40ba:51ad]) by
 ilp-tlv-ex02.ad.checkpoint.com ([fe80::3de2:257a:40ba:51ad%6]) with
 mapi id 15.01.2375.007; Wed, 17 Nov 2021 17:01:09 +0200
From: Guy Offer <guyof@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: RE: bug#51894: 27.2; GDB Gud support on Cygwin has trouble accessing
 shared files on Windows network drives.
Thread-Topic: bug#51894: 27.2; GDB Gud support on Cygwin has trouble accessing
 shared files on Windows network drives.
Thread-Index: Adfay1ESiUfQqo4aRYeuzzs4YFnEUQAMmpgUAC8es7AAAWuEUwAAyhKA
Date: Wed, 17 Nov 2021 15:01:09 +0000
Message-ID: <a2b32a26f4084b56988c1d9b597476e9@HIDDEN>
References: <522fd31d7bfc4c6b93d1eee254fa1218@HIDDEN>
 <83fsrw166y.fsf@HIDDEN> <1110db48db9540d8a33bdf9117fa24ae@HIDDEN>
 <83fsruzwki.fsf@HIDDEN>
In-Reply-To: <83fsruzwki.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-originating-ip: [194.29.34.56]
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 51894
Cc: "51894 <at> debbugs.gnu.org" <51894 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)



-----Original Message-----
From: Eli Zaretskii [mailto:eliz@HIDDEN]=20
Sent: Wednesday, 17 November 2021 16:28
To: Guy Offer <guyof@HIDDEN>
Cc: 51894 <at> debbugs.gnu.org
Subject: Re: bug#51894: 27.2; GDB Gud support on Cygwin has trouble accessi=
ng shared files on Windows network drives.

> From: Guy Offer <guyof@HIDDEN>
> CC: "51894 <at> debbugs.gnu.org" <51894 <at> debbugs.gnu.org>
> Date: Wed, 17 Nov 2021 14:00:39 +0000
>=20
> This GDB was configured as follows:
>    configure --host=3Dx86_64-pc-cygwin --target=3Dx86_64-redhat-linux-gnu

Does this mean this is a GDB that targets Red Hat GNU/Linux and not a Cygwi=
n-native debugger? yes

> Regarding Emacs GDB support: Emacs has UI support for GDB (GUD GDB) which=
 can display code source in Emacs buffers.=20

Are you using "M-x gdb RET" or "M-x gud-gdb RET"? M-x gdb RET

Also, is Emacs capable of visiting file specified as "\cygdrive\f\source\",=
 i.e. does "C-x C-f" work with such names? Emacs can do that if I load the =
file manually.  However, when emacs tries to open the file as received from=
 gdb (to display the source) it fails.  It only succeeds if I set the pathn=
ame to \\cygdrive\f\source.  However in that case the gdb command window ca=
nnot access the file.=20
Pls note that this happens only if f is a network drive .



And btw, why you mention file names with backslashes? does using forward sl=
ashes, as in "/cygdrive/f/source/", work for you?
Sorry for the confusion in the bug report - I used only slashes . =20
/cygdrive/f/source - worked for accessing source from the gdb command windo=
w (GUD gdb window) but not for opening the source from the GDB buffer.
//cygdrive/f/source - worked for opening the source in a GDB buffer but not=
 for accessing the source from the gdb command window.=20
This happened when f points to a remote network drive.=20

If all of the above doesn't help, please show a minimal recipe starting fro=
m "emacs -Q", where the problem happens: maybe we are missing some importan=
t clue.


Secured by Check Point


________________________________

Report suspicious email
<https://mta-cnf.iaas.checkpoint.com/cmta_feedback_request?id=3DZjc2OTQzNzJ=
iMzdjZDFjMTk0ZWYyOTA0NTZmM2Y2NmMwOTZmYzNmOTVkMjM3NzhmYTMxYmVmZTlkZmRhNWNkMA=
=3D=3D&t=3DYWI5ZjBkMjktYmI3Yy00OGI2LWIzYTMtODA0NTRmY2NjODNm>
________________________________







Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51894; Package emacs. Full text available.

Message received at 51894 <at> debbugs.gnu.org:


Received: (at 51894) by debbugs.gnu.org; 17 Nov 2021 14:28:02 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 17 09:28:02 2021
Received: from localhost ([127.0.0.1]:60519 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mnLus-0002kQ-A6
	for submit <at> debbugs.gnu.org; Wed, 17 Nov 2021 09:28:02 -0500
Received: from eggs.gnu.org ([209.51.188.92]:51540)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mnLup-0002k0-Qh
 for 51894 <at> debbugs.gnu.org; Wed, 17 Nov 2021 09:28:01 -0500
Received: from [2001:470:142:3::e] (port=33424 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mnLug-00061j-TE; Wed, 17 Nov 2021 09:27:53 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=wTB8s94h4F1J/k2mMCPaUopYlq62wnZf5F6abf+irTk=; b=MyyKs7tiO3hi
 93J6ir7S/eK68LfPAEdJfZZT3QlgYQuog5KraK5zGThcxMnqDFHmNqKHaM+ggJw3th+POvRB+x3Th
 /NZXKhks3yaOX9pY1Z/qde8UO7jk35rCNxuUDXYO5i02WtxvG03NbMQQYtr2++qIl5F9uLeZ+eHjT
 cyqrnAYbHlTpVKcCjC2XB/C3PHcC1wi820Yy2nE0AzVKZC2qufgOs8eGzCTdRaj30NWzZCZH3nGOj
 Z+DMCdOmRnugmCoqMyjltQ4OP4F6qXcy80DbTV2NwQxgFMpRy6NawMzaQxyWOtqRzkmUJaAERAghR
 Zpj9TBxyRSFan5k5sgIlYw==;
Received: from [87.69.77.57] (port=1675 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mnLud-0005Un-MP; Wed, 17 Nov 2021 09:27:48 -0500
Date: Wed, 17 Nov 2021 16:27:41 +0200
Message-Id: <83fsruzwki.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Guy Offer <guyof@HIDDEN>
In-Reply-To: <1110db48db9540d8a33bdf9117fa24ae@HIDDEN> (message from
 Guy Offer on Wed, 17 Nov 2021 14:00:39 +0000)
Subject: Re: bug#51894: 27.2; GDB Gud support on Cygwin has trouble accessing
 shared files on Windows network drives.
References: <522fd31d7bfc4c6b93d1eee254fa1218@HIDDEN>
 <83fsrw166y.fsf@HIDDEN> <1110db48db9540d8a33bdf9117fa24ae@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51894
Cc: 51894 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> From: Guy Offer <guyof@HIDDEN>
> CC: "51894 <at> debbugs.gnu.org" <51894 <at> debbugs.gnu.org>
> Date: Wed, 17 Nov 2021 14:00:39 +0000
> 
> This GDB was configured as follows:
>    configure --host=x86_64-pc-cygwin --target=x86_64-redhat-linux-gnu

Does this mean this is a GDB that targets Red Hat GNU/Linux and not a
Cygwin-native debugger?

> Regarding Emacs GDB support: Emacs has UI support for GDB (GUD GDB) which can display code source in Emacs buffers. 

Are you using "M-x gdb RET" or "M-x gud-gdb RET"?

Also, is Emacs capable of visiting file specified as
"\cygdrive\f\source\", i.e. does "C-x C-f" work with such names?

And btw, why you mention file names with backslashes? does using
forward slashes, as in "/cygdrive/f/source/", work for you?

If all of the above doesn't help, please show a minimal recipe
starting from "emacs -Q", where the problem happens: maybe we are
missing some important clue.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51894; Package emacs. Full text available.

Message received at 51894 <at> debbugs.gnu.org:


Received: (at 51894) by debbugs.gnu.org; 17 Nov 2021 14:00:55 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Nov 17 09:00:55 2021
Received: from localhost ([127.0.0.1]:60468 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mnLUc-0001p6-Ql
	for submit <at> debbugs.gnu.org; Wed, 17 Nov 2021 09:00:55 -0500
Received: from michael.checkpoint.com ([194.29.34.68]:53970
 helo=smtp.checkpoint.com) by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <guyof@HIDDEN>) id 1mnLUY-0001om-SI
 for 51894 <at> debbugs.gnu.org; Wed, 17 Nov 2021 09:00:53 -0500
x-m-msg: CPCHECK
DKIM-Filter: OpenDKIM Filter v2.11.0 smtp.checkpoint.com 1AHE0jM8006542
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=checkpoint.com;
 s=default; t=1637157646;
 bh=+nA2ULjY25OMIejEW77xnflvfHXmqcocj9nAatvu/sE=;
 h=From:To:CC:Subject:Date:References:In-Reply-To:From;
 b=YySMCXnNvdyhT321bi94Pve7DLRUT+4MtktqG0jcLK12Q0SIVZgipUEtjP9EPp0wf
 ZbhE6H1LHu65S58OjRi9ESxzINl7xpAiUi/2yC7NMFja/0O+iZHwNTh/VZ+TwFXLYM
 +nxoPmTsfIPjfqyfKpK5dpvbL3znBRkhk4ZZoE5c=
Received: from ilp-tlv-ex01.ad.checkpoint.com (ilp-tlv-ex01.ad.checkpoint.com
 [194.29.34.171])
 by smtp.checkpoint.com (8.14.7/8.14.7) with ESMTP id 1AHE0jM8006542;
 Wed, 17 Nov 2021 16:00:45 +0200
Received: from ilp-tlv-ex02.ad.checkpoint.com (194.29.34.172) by
 ilp-tlv-ex01.ad.checkpoint.com (194.29.34.171) with Microsoft SMTP Server
 (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256) id
 15.1.2375.7; Wed, 17 Nov 2021 16:00:39 +0200
Received: from ilp-tlv-ex02.ad.checkpoint.com ([fe80::3de2:257a:40ba:51ad]) by
 ilp-tlv-ex02.ad.checkpoint.com ([fe80::3de2:257a:40ba:51ad%6]) with
 mapi id 15.01.2375.007; Wed, 17 Nov 2021 16:00:39 +0200
From: Guy Offer <guyof@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Subject: RE: bug#51894: 27.2; GDB Gud support on Cygwin has trouble accessing
 shared files on Windows network drives.
Thread-Topic: bug#51894: 27.2; GDB Gud support on Cygwin has trouble accessing
 shared files on Windows network drives.
Thread-Index: Adfay1ESiUfQqo4aRYeuzzs4YFnEUQAMmpgUAC8es7A=
Date: Wed, 17 Nov 2021 14:00:39 +0000
Message-ID: <1110db48db9540d8a33bdf9117fa24ae@HIDDEN>
References: <522fd31d7bfc4c6b93d1eee254fa1218@HIDDEN>
 <83fsrw166y.fsf@HIDDEN>
In-Reply-To: <83fsrw166y.fsf@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-originating-ip: [194.29.34.56]
x-cpdlp: 113c48ba457b93a646103b22cc07a2b70ac951fa1a
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Spam-Score: -5.0 (-----)
X-Debbugs-Envelope-To: 51894
Cc: "51894 <at> debbugs.gnu.org" <51894 <at> debbugs.gnu.org>
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -6.0 (------)

This GDB was configured as follows:
   configure --host=3Dx86_64-pc-cygwin --target=3Dx86_64-redhat-linux-gnu
             --with-auto-load-dir=3D$debugdir:$datadir/auto-load
             --with-auto-load-safe-path=3D$debugdir:$datadir/auto-load
             --with-expat
             --with-gdb-datadir=3D/usr/local/share/gdb (relocatable)
             --with-jit-reader-dir=3D/usr/local/lib/gdb (relocatable)
             --without-libunwind-ia64
             --without-lzma
             --without-babeltrace
             --without-intel-pt
             --without-mpfr
             --without-xxhash
             --without-python
             --without-python-libdir
             --without-debuginfod
             --without-guile
             --disable-source-highlight
             --with-separate-debug-dir=3D/usr/local/lib/debug (relocatable)

Regarding Emacs GDB support: Emacs has UI support for GDB (GUD GDB) which c=
an display code source in Emacs buffers.=20


("Relocatable" means the directory can be moved with the GDB installation
tree, and GDB will still find it.)
-----Original Message-----
From: Eli Zaretskii [mailto:eliz@HIDDEN]=20
Sent: Tuesday, 16 November 2021 17:17
To: Guy Offer <guyof@HIDDEN>
Cc: 51894 <at> debbugs.gnu.org
Subject: Re: bug#51894: 27.2; GDB Gud support on Cygwin has trouble accessi=
ng shared files on Windows network drives.

> Date: Tue, 16 Nov 2021 09:22:26 +0000
> From:  Guy Offer via "Bug reports for GNU Emacs,  the Swiss army knife=20
> of text editors" <bug-gnu-emacs@HIDDEN>
>=20
> Working on Cygwin Emacs when source code is located on Windows 10=20
> network drives (e.g. Windows F: drive points to \\fileserver\soruce)=20
> and accessed by gdb using \cygdrive\f\source\.. the Emacs gdb support=20
> cannot find the file.
>=20
> File can only be find by the Emacs GDB support if the source path=20
> begins with double slash (e.g,, \\cygdrive\f\source\...).  However in=20
> this case it cannot be found by the gud gdb window.
> To overcome this source mounts should be done directly from the Cygwin=20
> (using mount) and not through the Windows 10 drives (\cygdrive\...).

Please show what does the GDB you are using display when you type
this:

  $ gdb --config

Also, when you say "the Emacs gdb support cannot find the file", what do yo=
u mean by "Emacs gdb support"?

Thanks.


Secured by Check Point


________________________________

Report suspicious email
<https://mta-cnf.iaas.checkpoint.com/cmta_feedback_request?id=3DMjUwOTM4ZGY=
3NWQyYWVjNjZhMjc0YmQ1OGZlYTMzYzNlZTg2ODdhN2NmZTJmODRlZjJkMWEwY2FjNDNhYzIzMA=
=3D=3D&t=3DYWI5ZjBkMjktYmI3Yy00OGI2LWIzYTMtODA0NTRmY2NjODNm>
________________________________







Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51894; Package emacs. Full text available.
Added tag(s) moreinfo. Request was from Stefan Kangas <stefan@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 51894 <at> debbugs.gnu.org:


Received: (at 51894) by debbugs.gnu.org; 16 Nov 2021 15:17:08 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 16 10:17:08 2021
Received: from localhost ([127.0.0.1]:58898 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mn0Cq-0002n6-5r
	for submit <at> debbugs.gnu.org; Tue, 16 Nov 2021 10:17:08 -0500
Received: from eggs.gnu.org ([209.51.188.92]:33050)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <eliz@HIDDEN>) id 1mn0Co-0002m8-CM
 for 51894 <at> debbugs.gnu.org; Tue, 16 Nov 2021 10:17:06 -0500
Received: from [2001:470:142:3::e] (port=50556 helo=fencepost.gnu.org)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mn0Ci-0002Qr-K0; Tue, 16 Nov 2021 10:17:00 -0500
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnu.org;
 s=fencepost-gnu-org; h=References:Subject:In-Reply-To:To:From:Date:
 mime-version; bh=cYPYyp62IdxoeRD3uHNko9HWuxlDM+2iJgY0udQAjrY=; b=fs27iKb25IQH
 LdOUldjJLLY88KXSnigeJ+mfkfKXSsNgowgp2MiZvgWOT/lHMDTCNuJIiJzi1ctw86u1RDSieTfxX
 b4kpGN0jsPQw7mAG7986tdVgHFPX/ixZJ5X8ezCJPmSq+XghyUlVNrc/VWR3+D8h4HrM466j83h1z
 CUCbFj0+15b0a2+yc1tJyVFkMCmKvEvZmEXB7HyWAemRkMKvTqIdfPKh/8aQewCRL+Sw1wSP7CtE3
 4pI10BH3BjgPSy53Aw4V2Cxa8cJ6U7vWyJDLxHpLCeCX6WROrZpE6eMWQ/99BsO8bAvkNEJD3uDL/
 PbkiwXBeOAIYuj3hlC2TBg==;
Received: from [87.69.77.57] (port=4106 helo=home-c4e4a596f7)
 by fencepost.gnu.org with esmtpsa (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <eliz@HIDDEN>)
 id 1mn0Ci-0006ZJ-3Z; Tue, 16 Nov 2021 10:17:00 -0500
Date: Tue, 16 Nov 2021 17:16:53 +0200
Message-Id: <83fsrw166y.fsf@HIDDEN>
From: Eli Zaretskii <eliz@HIDDEN>
To: Guy Offer <guyof@HIDDEN>
In-Reply-To: <522fd31d7bfc4c6b93d1eee254fa1218@HIDDEN>
 (bug-gnu-emacs@HIDDEN)
Subject: Re: bug#51894: 27.2;
 GDB Gud support on Cygwin has trouble accessing shared files on
 Windows network drives.
References: <522fd31d7bfc4c6b93d1eee254fa1218@HIDDEN>
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: 51894
Cc: 51894 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

> Date: Tue, 16 Nov 2021 09:22:26 +0000
> From:  Guy Offer via "Bug reports for GNU Emacs,
>  the Swiss army knife of text editors" <bug-gnu-emacs@HIDDEN>
> 
> Working on Cygwin Emacs when source code is located on Windows 10
> network drives (e.g. Windows F: drive points to \\fileserver\soruce) and accessed
> by gdb using \cygdrive\f\source\.. the Emacs gdb support cannot find the
> file.
> 
> File can only be find by the Emacs GDB support if the source path begins with
> double slash (e.g,, \\cygdrive\f\source\...).  However in this case it
> cannot be found by the gud gdb window.
> To overcome this source mounts should be done directly from the Cygwin (using mount) and not
> through the Windows 10 drives (\cygdrive\...). 

Please show what does the GDB you are using display when you type
this:

  $ gdb --config

Also, when you say "the Emacs gdb support cannot find the file", what
do you mean by "Emacs gdb support"?

Thanks.




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#51894; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 16 Nov 2021 14:27:16 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Tue Nov 16 09:27:16 2021
Received: from localhost ([127.0.0.1]:57583 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mmzQX-0000D6-SR
	for submit <at> debbugs.gnu.org; Tue, 16 Nov 2021 09:27:15 -0500
Received: from lists.gnu.org ([209.51.188.17]:47700)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <guyof@HIDDEN>) id 1mmuhT-0001zu-Tg
 for submit <at> debbugs.gnu.org; Tue, 16 Nov 2021 04:24:24 -0500
Received: from eggs.gnu.org ([209.51.188.92]:36666)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <guyof@HIDDEN>)
 id 1mmuhS-0003DF-8z
 for bug-gnu-emacs@HIDDEN; Tue, 16 Nov 2021 04:24:23 -0500
Received: from michael.checkpoint.com ([194.29.34.68]:49726
 helo=smtp.checkpoint.com)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <guyof@HIDDEN>)
 id 1mmuhE-00006O-6i
 for bug-gnu-emacs@HIDDEN; Tue, 16 Nov 2021 04:24:11 -0500
x-m-msg: CPCHECK
DKIM-Filter: OpenDKIM Filter v2.11.0 smtp.checkpoint.com 1AG9MWEF015625
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=checkpoint.com;
 s=default; t=1637054552;
 bh=4G5WPOI1Rk6hHjwAl8PLSSw4Vi88n/bgam8XVmSPbnw=;
 h=From:To:Subject:Date:From;
 b=GGPCzxolrGqQ1YjPw5fOsixLOShaYic1qIQ1lFUrf1I5560JJUZImjnVFeBh5bZg2
 IibZbPvErWsBVZzhkrwp6vaDfmgJiGA3SzVEUhyeZ4jJgmRTzL4OyN+U3M9ZlwDYvA
 EBDo5cH6ER8g0P3T5ZwVwez5UgF31Jl1GzuPpqvU=
Received: from ilp-tlv-ex03.ad.checkpoint.com (ilp-tlv-ex03.ad.checkpoint.com
 [194.29.34.164])
 by smtp.checkpoint.com (8.14.7/8.14.7) with ESMTP id 1AG9MWEF015625
 for <bug-gnu-emacs@HIDDEN>; Tue, 16 Nov 2021 11:22:32 +0200
Received: from ilp-tlv-ex02.ad.checkpoint.com (194.29.34.172) by
 ilp-tlv-ex03.ad.checkpoint.com (194.29.34.164) with Microsoft SMTP Server
 (version=TLS1_2, cipher=TLS_ECDHE_RSA_WITH_AES_128_GCM_SHA256) id
 15.1.2375.7; Tue, 16 Nov 2021 11:22:27 +0200
Received: from ilp-tlv-ex02.ad.checkpoint.com ([fe80::3de2:257a:40ba:51ad]) by
 ilp-tlv-ex02.ad.checkpoint.com ([fe80::3de2:257a:40ba:51ad%6]) with
 mapi id 15.01.2308.008; Tue, 16 Nov 2021 11:22:27 +0200
From: Guy Offer <guyof@HIDDEN>
To: "bug-gnu-emacs@HIDDEN" <bug-gnu-emacs@HIDDEN>
Subject: 27.2; GDB Gud support on Cygwin has trouble accessing shared files on
 Windows network drives.
Thread-Topic: 27.2; GDB Gud support on Cygwin has trouble accessing shared
 files on Windows network drives.
Thread-Index: Adfay1ESiUfQqo4aRYeuzzs4YFnEUQ==
Date: Tue, 16 Nov 2021 09:22:26 +0000
Message-ID: <522fd31d7bfc4c6b93d1eee254fa1218@HIDDEN>
Accept-Language: en-US
Content-Language: en-US
X-MS-Has-Attach: 
X-MS-TNEF-Correlator: 
x-originating-ip: [194.29.34.56]
x-cpdlp: 11e74dbf67b29a7f943f04182722577fcad66a81e6
Content-Type: multipart/alternative;
 boundary="_000_522fd31d7bfc4c6b93d1eee254fa1218checkpointcom_"
MIME-Version: 1.0
Received-SPF: pass client-ip=194.29.34.68; envelope-from=guyof@HIDDEN;
 helo=smtp.checkpoint.com
X-Spam_score_int: -70
X-Spam_score: -7.1
X-Spam_bar: -------
X-Spam_report: (-7.1 / 5.0 requ) BAYES_00=-1.9, DKIM_SIGNED=0.1,
 DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1, HTML_MESSAGE=0.001,
 RCVD_IN_DNSWL_HI=-5, RCVD_IN_MSPIKE_H3=0.001, RCVD_IN_MSPIKE_WL=0.001,
 SPF_HELO_NONE=0.001, SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.4 (-)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Tue, 16 Nov 2021 09:27:11 -0500
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.4 (--)

--_000_522fd31d7bfc4c6b93d1eee254fa1218checkpointcom_
Content-Type: text/plain; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable

--text follows this line--

Working on Cygwin Emacs when source code is located on Windows 10
network drives (e.g. Windows F: drive points to \\fileserver\soruce) and ac=
cessed
by gdb using \cygdrive\f\source\.. the Emacs gdb support cannot find the
file.
File can only be find by the Emacs GDB support if the source path begins wi=
th
double slash (e.g,, \\cygdrive\f\source\...).  However in this case it
cannot be found by the gud gdb window.
To overcome this source mounts should be done directly from the Cygwin (usi=
ng mount) and not
through the Windows 10 drives (\cygdrive\...).


In GNU Emacs 27.2 (build 1, x86_64-pc-cygwin, X toolkit, Xaw3d scroll bars)
of 2021-03-26 built on moufang2
Repository revision: 5a2c58d08c59ce5a7afb6511cc99f722f426c12b
Repository branch: master
Windowing system distributor 'The Cygwin/X Project', version 11.0.12012000
Recent messages:
(No changes need to be saved)
elisp--preceding-sexp: End of file during parsing
Saving file /cygdrive/c/Temp/cmd3...
Wrote /cygdrive/c/Temp/cmd3
(No changes need to be saved) [3 times]
Undefined command: "exit".  Try "help".
Switched to thread 1
Mark set
Target doesn't support non-stop mode.  Turning it off.
Mark set [8 times]

Configured using:
'configure
--srcdir=3D/home/kbrown/src/cygpackages/emacs/emacs-27.2-1.x86_64/src/emacs=
-27.2
--prefix=3D/usr --exec-prefix=3D/usr --localstatedir=3D/var --sysconfdir=3D=
/etc
--docdir=3D/usr/share/doc/emacs --htmldir=3D/usr/share/doc/emacs/html -C
--with-x-toolkit=3Dlucid 'CFLAGS=3D-ggdb -O2 -pipe -Wall
-Werror=3Dformat-security -Wp,-D_FORTIFY_SOURCE=3D2
-fstack-protector-strong --param=3Dssp-buffer-size=3D4
-fdebug-prefix-map=3D/home/kbrown/src/cygpackages/emacs/emacs-27.2-1.x86_64=
/build=3D/usr/src/debug/emacs-27.2-1
-fdebug-prefix-map=3D/home/kbrown/src/cygpackages/emacs/emacs-27.2-1.x86_64=
/src/emacs-27.2=3D/usr/src/debug/emacs-27.2-1'
CPPFLAGS=3D LDFLAGS=3D'

Configured features:
XAW3D XPM JPEG TIFF GIF PNG RSVG SOUND DBUS GSETTINGS GLIB NOTIFY
GFILENOTIFY ACL GNUTLS LIBXML2 FREETYPE HARFBUZZ M17N_FLT LIBOTF XFT
ZLIB TOOLKIT_SCROLL_BARS LUCID X11 XDBE XIM MODULES THREADS JSON PDUMPER
LCMS2 GMP

Important settings:
  value of $LC_CTYPE: en_US.UTF-8
  locale-coding-system: utf-8-unix

Major mode: Debugger

Minor modes in effect:
  gud-tooltip-mode: t
  tooltip-mode: t
  global-eldoc-mode: t
  electric-indent-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  tab-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
 line-number-mode: t
  transient-mark-mode: t

Load-path shadows:
None found.

Features:
(shadow sort mail-extr emacsbug message dired dired-loaddefs format-spec
rfc822 mml mml-sec epa derived epg epg-config gnus-util rmail
rmail-loaddefs text-property-search mailabbrev gmm-utils mailheader
sendmail mail-utils help-fns radix-tree cl-print debug backtrace
help-mode mule-util jka-compr info vc-git cc-mode cc-fonts cc-guess
cc-menus cc-cmds cc-styles cc-align cc-engine cc-vars cc-defs which-func
imenu vc vc-dispatcher tempo srecode soap-client mm-decode mm-bodies
mm-encode url-http url-auth mail-parse rfc2231 rfc2047 rfc2045 mm-util
ietf-drums mail-prsvr url-gw nsm rmc puny url url-proxy url-privacy
url-expand url-methods url-history url-cookie url-domsuf url-util
url-parse auth-source url-vars mailcap rng-xsd rng-dt rng-util
xsd-regexp xml smerge-mode sieve sieve-mode sieve-manage sasl
sasl-anonymous sasl-login sasl-plain password-cache pcvs-defs pcvs-util
grep glasses gdb-mi bindat json map gud flymake-proc flymake warnings
thingatpt etags fileloop generator xref project emerge elide-head ediff
ediff-merg ediff-mult ediff-wind ediff-diff ediff-help ediff-init
ediff-util ede/project-am ede/autoconf-edit autoconf autoconf-mode
semantic/find ede/makefile-edit make-mode ede/linux semantic/db
semantic/util-modes semantic/util semantic pp semantic/tag semantic/lex
semantic/fw mode-local find-func ede/make ede/speedbar ede/files ede
ede/detect ede/base ede/auto ede/source eieio-base seq eieio-speedbar
speedbar sb-image ezimage dframe eieio-custom cl-seq eieio byte-opt
bytecomp byte-compile cconv eieio-core cl-macs gv eieio-loaddefs cedet
ebrowse ebuff-menu view diff copyright compile comint ansi-color ring
compare-w diff-mode easy-mmode check-declare calculator edmacro kmacro
add-log time-date subr-x cus-edit easymenu cus-start cus-load wid-edit
cl-loaddefs cl-lib advice tooltip eldoc electric uniquify ediff-hook
vc-hooks lisp-float-type mwheel term/x-win x-win term/common-win x-dnd
tool-bar dnd fontset image regexp-opt fringe tabulated-list replace
newcomment text-mode elisp-mode lisp-mode prog-mode register page
tab-bar menu-bar rfn-eshadow isearch timer select scroll-bar mouse
jit-lock font-lock syntax facemenu font-core term/tty-colors frame
minibuffer cl-generic cham georgian utf-8-lang misc-lang vietnamese
tibetan thai tai-viet lao korean japanese eucjp-ms cp51932 hebrew greek
romanian slovak czech european ethiopic indian cyrillic chinese
composite charscript charprop case-table epa-hook jka-cmpr-hook help
simple abbrev obarray cl-preloaded nadvice loaddefs button faces
cus-face macroexp files text-properties overlay sha1 md5 base64 format
env code-pages mule custom widget hashtable-print-readable backquote
threads dbusbind gfilenotify lcms2 dynamic-setting system-font-setting
font-render-setting x-toolkit x multi-tty make-network-process emacs)

Memory information:
((conses 16 246697 30355)
(symbols 48 21407 1)
(strings 32 65711 3822)
(string-bytes 1 2120737)
(vectors 16 37254)
(vector-slots 8 481354 23754)
(floats 8 118 220)
(intervals 56 3551 198)
(buffers 1000 37))

--_000_522fd31d7bfc4c6b93d1eee254fa1218checkpointcom_
Content-Type: text/html; charset="us-ascii"
Content-Transfer-Encoding: quoted-printable

<html xmlns:v=3D"urn:schemas-microsoft-com:vml" xmlns:o=3D"urn:schemas-micr=
osoft-com:office:office" xmlns:w=3D"urn:schemas-microsoft-com:office:word" =
xmlns:m=3D"http://schemas.microsoft.com/office/2004/12/omml" xmlns=3D"http:=
//www.w3.org/TR/REC-html40">
<head>
<meta http-equiv=3D"Content-Type" content=3D"text/html; charset=3Dus-ascii"=
>
<meta name=3D"Generator" content=3D"Microsoft Word 15 (filtered medium)">
<style><!--
/* Font Definitions */
@font-face
	{font-family:"Cambria Math";
	panose-1:2 4 5 3 5 4 6 3 2 4;}
@font-face
	{font-family:Calibri;
	panose-1:2 15 5 2 2 2 4 3 2 4;}
/* Style Definitions */
p.MsoNormal, li.MsoNormal, div.MsoNormal
	{margin:0cm;
	margin-bottom:.0001pt;
	font-size:11.0pt;
	font-family:"Calibri",sans-serif;}
a:link, span.MsoHyperlink
	{mso-style-priority:99;
	color:#0563C1;
	text-decoration:underline;}
a:visited, span.MsoHyperlinkFollowed
	{mso-style-priority:99;
	color:#954F72;
	text-decoration:underline;}
span.EmailStyle17
	{mso-style-type:personal-compose;
	font-family:"Calibri",sans-serif;
	color:windowtext;}
.MsoChpDefault
	{mso-style-type:export-only;
	font-family:"Calibri",sans-serif;}
@page WordSection1
	{size:612.0pt 792.0pt;
	margin:72.0pt 72.0pt 72.0pt 72.0pt;}
div.WordSection1
	{page:WordSection1;}
--></style><!--[if gte mso 9]><xml>
<o:shapedefaults v:ext=3D"edit" spidmax=3D"1026" />
</xml><![endif]--><!--[if gte mso 9]><xml>
<o:shapelayout v:ext=3D"edit">
<o:idmap v:ext=3D"edit" data=3D"1" />
</o:shapelayout></xml><![endif]-->
</head>
<body lang=3D"EN-US" link=3D"#0563C1" vlink=3D"#954F72">
<div class=3D"WordSection1">
<p class=3D"MsoNormal">--text follows this line--<o:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">Working on Cygwin Emacs when source code is located =
on Windows 10<o:p></o:p></p>
<p class=3D"MsoNormal">network drives (e.g. Windows F: drive points to \\fi=
leserver\soruce) and accessed<o:p></o:p></p>
<p class=3D"MsoNormal">by gdb using \cygdrive\f\source\.. the Emacs gdb sup=
port cannot find the<o:p></o:p></p>
<p class=3D"MsoNormal">file.<o:p></o:p></p>
<p class=3D"MsoNormal">File can only be find by the Emacs GDB support if th=
e source path begins with<o:p></o:p></p>
<p class=3D"MsoNormal">double slash (e.g,, \\cygdrive\f\source\...).&nbsp; =
However in this case it<o:p></o:p></p>
<p class=3D"MsoNormal">cannot be found by the gud gdb window.<o:p></o:p></p=
>
<p class=3D"MsoNormal">To overcome this source mounts should be done direct=
ly from the Cygwin (using mount) and not<o:p></o:p></p>
<p class=3D"MsoNormal">through the Windows 10 drives (\cygdrive\...). <o:p>=
</o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">In GNU Emacs 27.2 (build 1, x86_64-pc-cygwin, X tool=
kit, Xaw3d scroll bars)<o:p></o:p></p>
<p class=3D"MsoNormal">of 2021-03-26 built on moufang2<o:p></o:p></p>
<p class=3D"MsoNormal">Repository revision: 5a2c58d08c59ce5a7afb6511cc99f72=
2f426c12b<o:p></o:p></p>
<p class=3D"MsoNormal">Repository branch: master<o:p></o:p></p>
<p class=3D"MsoNormal">Windowing system distributor 'The Cygwin/X Project',=
 version 11.0.12012000<o:p></o:p></p>
<p class=3D"MsoNormal">Recent messages:<o:p></o:p></p>
<p class=3D"MsoNormal">(No changes need to be saved)<o:p></o:p></p>
<p class=3D"MsoNormal">elisp--preceding-sexp: End of file during parsing<o:=
p></o:p></p>
<p class=3D"MsoNormal">Saving file /cygdrive/c/Temp/cmd3...<o:p></o:p></p>
<p class=3D"MsoNormal">Wrote /cygdrive/c/Temp/cmd3<o:p></o:p></p>
<p class=3D"MsoNormal">(No changes need to be saved) [3 times]<o:p></o:p></=
p>
<p class=3D"MsoNormal">Undefined command: &quot;exit&quot;.&nbsp; Try &quot=
;help&quot;.<o:p></o:p></p>
<p class=3D"MsoNormal">Switched to thread 1<o:p></o:p></p>
<p class=3D"MsoNormal">Mark set<o:p></o:p></p>
<p class=3D"MsoNormal">Target doesn&#8217;t support non-stop mode.&nbsp; Tu=
rning it off.<o:p></o:p></p>
<p class=3D"MsoNormal">Mark set [8 times]<o:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">Configured using:<o:p></o:p></p>
<p class=3D"MsoNormal">'configure<o:p></o:p></p>
<p class=3D"MsoNormal">--srcdir=3D/home/kbrown/src/cygpackages/emacs/emacs-=
27.2-1.x86_64/src/emacs-27.2<o:p></o:p></p>
<p class=3D"MsoNormal">--prefix=3D/usr --exec-prefix=3D/usr --localstatedir=
=3D/var --sysconfdir=3D/etc<o:p></o:p></p>
<p class=3D"MsoNormal">--docdir=3D/usr/share/doc/emacs --htmldir=3D/usr/sha=
re/doc/emacs/html -C<o:p></o:p></p>
<p class=3D"MsoNormal">--with-x-toolkit=3Dlucid 'CFLAGS=3D-ggdb -O2 -pipe -=
Wall<o:p></o:p></p>
<p class=3D"MsoNormal">-Werror=3Dformat-security -Wp,-D_FORTIFY_SOURCE=3D2<=
o:p></o:p></p>
<p class=3D"MsoNormal">-fstack-protector-strong --param=3Dssp-buffer-size=
=3D4<o:p></o:p></p>
<p class=3D"MsoNormal">-fdebug-prefix-map=3D/home/kbrown/src/cygpackages/em=
acs/emacs-27.2-1.x86_64/build=3D/usr/src/debug/emacs-27.2-1<o:p></o:p></p>
<p class=3D"MsoNormal">-fdebug-prefix-map=3D/home/kbrown/src/cygpackages/em=
acs/emacs-27.2-1.x86_64/src/emacs-27.2=3D/usr/src/debug/emacs-27.2-1'<o:p><=
/o:p></p>
<p class=3D"MsoNormal">CPPFLAGS=3D LDFLAGS=3D'<o:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">Configured features:<o:p></o:p></p>
<p class=3D"MsoNormal">XAW3D XPM JPEG TIFF GIF PNG RSVG SOUND DBUS GSETTING=
S GLIB NOTIFY<o:p></o:p></p>
<p class=3D"MsoNormal">GFILENOTIFY ACL GNUTLS LIBXML2 FREETYPE HARFBUZZ M17=
N_FLT LIBOTF XFT<o:p></o:p></p>
<p class=3D"MsoNormal">ZLIB TOOLKIT_SCROLL_BARS LUCID X11 XDBE XIM MODULES =
THREADS JSON PDUMPER<o:p></o:p></p>
<p class=3D"MsoNormal">LCMS2 GMP<o:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">Important settings:<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; value of $LC_CTYPE: en_US.UTF-8<o:p></o:p></p=
>
<p class=3D"MsoNormal">&nbsp; locale-coding-system: utf-8-unix<o:p></o:p></=
p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">Major mode: Debugger<o:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">Minor modes in effect:<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; gud-tooltip-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; tooltip-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; global-eldoc-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; electric-indent-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; mouse-wheel-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; tool-bar-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; tab-bar-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; menu-bar-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; file-name-shadow-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; global-font-lock-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; font-lock-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; blink-cursor-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; auto-composition-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; auto-encryption-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; auto-compression-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp;line-number-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal">&nbsp; transient-mark-mode: t<o:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">Load-path shadows:<o:p></o:p></p>
<p class=3D"MsoNormal">None found.<o:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">Features:<o:p></o:p></p>
<p class=3D"MsoNormal">(shadow sort mail-extr emacsbug message dired dired-=
loaddefs format-spec<o:p></o:p></p>
<p class=3D"MsoNormal">rfc822 mml mml-sec epa derived epg epg-config gnus-u=
til rmail<o:p></o:p></p>
<p class=3D"MsoNormal">rmail-loaddefs text-property-search mailabbrev gmm-u=
tils mailheader<o:p></o:p></p>
<p class=3D"MsoNormal">sendmail mail-utils help-fns radix-tree cl-print deb=
ug backtrace<o:p></o:p></p>
<p class=3D"MsoNormal">help-mode mule-util jka-compr info vc-git cc-mode cc=
-fonts cc-guess<o:p></o:p></p>
<p class=3D"MsoNormal">cc-menus cc-cmds cc-styles cc-align cc-engine cc-var=
s cc-defs which-func<o:p></o:p></p>
<p class=3D"MsoNormal">imenu vc vc-dispatcher tempo srecode soap-client mm-=
decode mm-bodies<o:p></o:p></p>
<p class=3D"MsoNormal">mm-encode url-http url-auth mail-parse rfc2231 rfc20=
47 rfc2045 mm-util<o:p></o:p></p>
<p class=3D"MsoNormal">ietf-drums mail-prsvr url-gw nsm rmc puny url url-pr=
oxy url-privacy<o:p></o:p></p>
<p class=3D"MsoNormal">url-expand url-methods url-history url-cookie url-do=
msuf url-util<o:p></o:p></p>
<p class=3D"MsoNormal">url-parse auth-source url-vars mailcap rng-xsd rng-d=
t rng-util<o:p></o:p></p>
<p class=3D"MsoNormal">xsd-regexp xml smerge-mode sieve sieve-mode sieve-ma=
nage sasl<o:p></o:p></p>
<p class=3D"MsoNormal">sasl-anonymous sasl-login sasl-plain password-cache =
pcvs-defs pcvs-util<o:p></o:p></p>
<p class=3D"MsoNormal">grep glasses gdb-mi bindat json map gud flymake-proc=
 flymake warnings<o:p></o:p></p>
<p class=3D"MsoNormal">thingatpt etags fileloop generator xref project emer=
ge elide-head ediff<o:p></o:p></p>
<p class=3D"MsoNormal">ediff-merg ediff-mult ediff-wind ediff-diff ediff-he=
lp ediff-init<o:p></o:p></p>
<p class=3D"MsoNormal">ediff-util ede/project-am ede/autoconf-edit autoconf=
 autoconf-mode<o:p></o:p></p>
<p class=3D"MsoNormal">semantic/find ede/makefile-edit make-mode ede/linux =
semantic/db<o:p></o:p></p>
<p class=3D"MsoNormal">semantic/util-modes semantic/util semantic pp semant=
ic/tag semantic/lex<o:p></o:p></p>
<p class=3D"MsoNormal">semantic/fw mode-local find-func ede/make ede/speedb=
ar ede/files ede<o:p></o:p></p>
<p class=3D"MsoNormal">ede/detect ede/base ede/auto ede/source eieio-base s=
eq eieio-speedbar<o:p></o:p></p>
<p class=3D"MsoNormal">speedbar sb-image ezimage dframe eieio-custom cl-seq=
 eieio byte-opt<o:p></o:p></p>
<p class=3D"MsoNormal">bytecomp byte-compile cconv eieio-core cl-macs gv ei=
eio-loaddefs cedet<o:p></o:p></p>
<p class=3D"MsoNormal">ebrowse ebuff-menu view diff copyright compile comin=
t ansi-color ring<o:p></o:p></p>
<p class=3D"MsoNormal">compare-w diff-mode easy-mmode check-declare calcula=
tor edmacro kmacro<o:p></o:p></p>
<p class=3D"MsoNormal">add-log time-date subr-x cus-edit easymenu cus-start=
 cus-load wid-edit<o:p></o:p></p>
<p class=3D"MsoNormal">cl-loaddefs cl-lib advice tooltip eldoc electric uni=
quify ediff-hook<o:p></o:p></p>
<p class=3D"MsoNormal">vc-hooks lisp-float-type mwheel term/x-win x-win ter=
m/common-win x-dnd<o:p></o:p></p>
<p class=3D"MsoNormal">tool-bar dnd fontset image regexp-opt fringe tabulat=
ed-list replace<o:p></o:p></p>
<p class=3D"MsoNormal">newcomment text-mode elisp-mode lisp-mode prog-mode =
register page<o:p></o:p></p>
<p class=3D"MsoNormal">tab-bar menu-bar rfn-eshadow isearch timer select sc=
roll-bar mouse<o:p></o:p></p>
<p class=3D"MsoNormal">jit-lock font-lock syntax facemenu font-core term/tt=
y-colors frame<o:p></o:p></p>
<p class=3D"MsoNormal">minibuffer cl-generic cham georgian utf-8-lang misc-=
lang vietnamese<o:p></o:p></p>
<p class=3D"MsoNormal">tibetan thai tai-viet lao korean japanese eucjp-ms c=
p51932 hebrew greek<o:p></o:p></p>
<p class=3D"MsoNormal">romanian slovak czech european ethiopic indian cyril=
lic chinese<o:p></o:p></p>
<p class=3D"MsoNormal">composite charscript charprop case-table epa-hook jk=
a-cmpr-hook help<o:p></o:p></p>
<p class=3D"MsoNormal">simple abbrev obarray cl-preloaded nadvice loaddefs =
button faces<o:p></o:p></p>
<p class=3D"MsoNormal">cus-face macroexp files text-properties overlay sha1=
 md5 base64 format<o:p></o:p></p>
<p class=3D"MsoNormal">env code-pages mule custom widget hashtable-print-re=
adable backquote<o:p></o:p></p>
<p class=3D"MsoNormal">threads dbusbind gfilenotify lcms2 dynamic-setting s=
ystem-font-setting<o:p></o:p></p>
<p class=3D"MsoNormal">font-render-setting x-toolkit x multi-tty make-netwo=
rk-process emacs)<o:p></o:p></p>
<p class=3D"MsoNormal"><o:p>&nbsp;</o:p></p>
<p class=3D"MsoNormal">Memory information:<o:p></o:p></p>
<p class=3D"MsoNormal">((conses 16 246697 30355)<o:p></o:p></p>
<p class=3D"MsoNormal">(symbols 48 21407 1)<o:p></o:p></p>
<p class=3D"MsoNormal">(strings 32 65711 3822)<o:p></o:p></p>
<p class=3D"MsoNormal">(string-bytes 1 2120737)<o:p></o:p></p>
<p class=3D"MsoNormal">(vectors 16 37254)<o:p></o:p></p>
<p class=3D"MsoNormal">(vector-slots 8 481354 23754)<o:p></o:p></p>
<p class=3D"MsoNormal">(floats 8 118 220)<o:p></o:p></p>
<p class=3D"MsoNormal">(intervals 56 3551 198)<o:p></o:p></p>
<p class=3D"MsoNormal">(buffers 1000 37))<o:p></o:p></p>
</div>
</body>
</html>

--_000_522fd31d7bfc4c6b93d1eee254fa1218checkpointcom_--




Acknowledgement sent to Guy Offer <guyof@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#51894; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Thu, 18 Nov 2021 15:00:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.